<?php 
/**
*	@file editor_tab_cards.php
*	@brief A cards tab of an administator view editor page.
*	From this tab administrators can create and edit cards related to game.
*/


?>		
		<?php $show_new_card = false;
				if (isset($_POST['notifications']['new_card_created'])) :
					if ($_POST['notifications']['new_card_created']) : ?>
		<p class="notification">
			<?php echo localize('ADMIN_EDITOR_NOTIFICATION_NEW_CARD_CREATED'); ?>
		</p>
		<?php 	else : ?>
		<?php 		$show_new_card = true;?>
		<?php 	endif; ?>
		<?php endif; ?>
		
		<?php $show_edit_card = false;
				if (isset($_POST['notifications']['card_edited'])) :
					if ($_POST['notifications']['card_edited']) : ?>
		<p class="notification">
			<?php echo localize('ADMIN_EDITOR_NOTIFICATION_CARD_EDITED'); ?>
		</p>
		<?php 	else : ?>
		<?php 		$show_edit_card = true;?>
		<?php 	endif; ?>
		<?php endif; ?>
		
		<p class="notification" id="delete_card_notification">
			<span id="delete_card_notification_card_nbr"></span><?php echo localize('ADMIN_EDITOR_NOTIFICATION_CARD_DELETED'); ?>
		</p>
		
		<div class="editor_buttons">
			<span class="editor_button" id="editor_new_card_button"><a href="#"><?php echo localize('ADMIN_EDITOR_NEW_CARD')?></a></span>
			<span class="editor_button" id="editor_edit_card_button"><a href="#"><?php echo localize('ADMIN_EDITOR_EDIT_CARD_BUTTON')?></a></span>
			<span class="editor_button" id="editor_edit_cards_button"><a href="#"><?php echo localize('ADMIN_EDITOR_EDIT_CARD_BUTTON')?></a></span>
			<span class="editor_button" id="editor_edit_card_button_dummy"><a href="#"><?php echo localize('ADMIN_EDITOR_EDIT_CARD_BUTTON')?></a></span>
			<span class="editor_button" id="editor_delete_card_button"><a href="#"><?php echo localize('ADMIN_EDITOR_DELETE_CARD')?></a></span>
			<span class="editor_button" id="editor_delete_card_button_dummy"><a href="#"><?php echo localize('ADMIN_EDITOR_DELETE_CARD')?></a></span>
			<span class="editor_button" id="editor_enable_card_button"><a href="#"><?php echo localize('ADMIN_EDITOR_TOGGLE_CARD')?></a></span>
			<span class="editor_button" id="editor_enable_card_button_dummy"><a href="#"><?php echo localize('ADMIN_EDITOR_TOGGLE_CARD')?></a></span>
			<span class="editor_button" id="editor_select_all_button"><a href="#"><?php echo localize('ADMIN_EDITOR_SELECT_ALL')?></a></span>
			<span class="editor_button" id="editor_compare_cards_button"><a href="#"><?php echo localize('ADMIN_EDITOR_COMPARE_CARDS')?></a></span>
			<span class="editor_button" id="editor_compare_cards_button_dummy"><a href="#"><?php echo localize('ADMIN_EDITOR_COMPARE_CARDS')?></a></span>
			<select id="editor_card_language_selector" name="editor_card_language_selector">
					<option value="" disabled="disabled"><?php echo localize('SELECT'); ?></option>
				<?php global $languages;
						// Set card display lang
						if (!isset($_SESSION['card_display_lang'])) {
							$_SESSION['card_display_lang'] = $_SESSION['lang'];
						}
						foreach($languages as $lang):
				?>
					<option value="<?php echo $lang; ?>" <?php if ($lang == $_SESSION['card_display_lang']) echo 'selected="selected"'; ?>><?php echo $lang; ?></option>		
				<?php endforeach; ?>
			</select>
			
		</div>
		<div class="search_field">
			<label for="card_search"><?php echo localize('SEARCH')?></label>
			<input type="text" class="autocomplete_tags autocomplete_stats" name="card_search" id="card_search" value="" />
		</div>
		<table class="editor_table" id="card_editor_table">
			<thead class="editor_table_header">
				<tr>
					<th id="editor_enable_card_theader">&nbsp;</th>
					<th id="editor_card_name_theader"><?php echo localize('ADMIN_EDITOR_CARD_NAME'); ?></th>
					<th id="editor_card_id_theader"><?php echo localize('ADMIN_EDITOR_CARD_ID'); ?></th>
					<th id="editor_card_external_id_theader"><?php echo localize('ADMIN_EDITOR_CARD_ID'); ?></th>
					<th id="editor_card_tags_theader"><?php echo localize('ADMIN_EDITOR_CARD_TAGS'); ?></th>
					<th id="editor_card_stats_theader"><?php echo localize('ADMIN_EDITOR_CARD_STATS'); ?></th>
					<th id="editor_card_creator_theader"><?php echo localize('ADMIN_EDITOR_CARD_CREATOR'); ?></th>
					<th id="editor_card_created_theader"><?php echo localize('ADMIN_EDITOR_CARD_CREATED'); ?></th>
					<th id="editor_card_edited_theader"><?php echo localize('ADMIN_EDITOR_CARD_EDITED'); ?></th>
					<th id="editor_card_all_tags_theader"><?php echo localize('ADMIN_EDITOR_CARD_ALL_TAGS'); ?></th>
					<th id="editor_card_all_stats_theader"><?php echo localize('ADMIN_EDITOR_CARD_ALL_STATS'); ?></th>
				</tr>
			</thead>
			<tbody class="editor_table_body">
				<?php $cards = array(); ?>
				<?php $game_id = 0; ?>
				<?php if (isset($_SESSION['admin']['game']['game_id'])) : $game_id = $_SESSION['admin']['game']['game_id']; endif; ?>
				<?php $db = DB::getInstance(); ?>
				<?php $cards = $db->getAllCards($game_id, $_SESSION['card_display_lang']);//$_SESSION['lang']); ?>
				<?php $card_counter = 1; ?>
				<?php foreach ($cards as $card) : ?>
				<tr id="card_<?php echo $card_counter; ?>">
					<td><?php if ($card['enabled']) : echo('X'); endif; ?></td>
					<td><?php if (isset($card['card_name']) && !empty($card['card_name'])) : echo($card['card_name']); elseif (isset($card['default_name']) && !empty($card['default_name'])) : echo($card['default_name']); else : echo('N/A'); endif; ?></td>
					<td><?php echo $card['card_id']; ?></td>
					<td><?php echo $card['card_external_id']; ?></td>
					<?php $card_stats = array(); ?>
					<?php $card_tags = array(); ?>
					<td><?php if (isset($card['tags']) && !empty($card['tags'])) : foreach ($card['tags'] as $tag) : echo('#' . $tag . ' '); $card_tags[] = $tag; endforeach; else : echo('N/A'); endif; ?></td>
					<td><?php if (isset($card['stats']) && !empty($card['stats'])) : foreach ($card['stats'] as $stat) : echo($stat . ' '); $card_stats[] = $stat; endforeach;  else : echo('N/A'); endif; ?></td>
					<?php unset($stat); unset($tag); ?>
					<td><?php if (isset($card['creator_name']) && !empty($card['creator_name'])) : echo($card['creator_name']); else : echo($card['creator_id']); endif; ?></td>
					<?php // Date format depends on language ?>
					<td><?php echo date(localize('DATE_FORMAT'), strtotime($card['created'])); ?></td>
					<td><?php if (isset($card['modified']) && !empty($card['modified']) && isset($card['editor_name'])) : echo(date(localize('DATE_FORMAT'), strtotime($card['modified'])) . ' ' . $card['editor_name']); endif; ?></td>
					<?php // Get stats and tags from results
							if (isset($card['choices'])) {
								foreach ($card['choices'] as $choice) {
									$card_results = $db->getChoiceResults($choice['choice_id'], $_SESSION['card_display_lang']);//$_SESSION['lang']);
									foreach ($card_results as $result) {
										$stat_changes = explode("@", $result['stat_changes']);
										if (!empty($stat_changes)) {
											foreach ($stat_changes as $stat) {
												$parsed_stat = GameEngine::parseStat($stat);
												if ($parsed_stat != false) {
													$parsed_stat['key'] = '@' . $parsed_stat['key'];
													// If current stat isn't in array of stats, add it there
													if (!in_array($parsed_stat['key'], $card_stats)) {
														$card_stats[] = $parsed_stat['key'];
													}
												}
											}
										}
										$next_criteria = explode("#", $result['next_criteria']);
										if (!empty($next_criteria)) {
											foreach ($next_criteria as &$crit) {
												$crit = trim($crit);
												if (!empty($crit)) {
													// If current tag isn't in array of tags, add it there
													if (!in_array($crit, $card_tags)) {
														$card_tags[] = $crit;
													}
												}
											}
										}
									}
								}
							}
							unset($stat);
							unset($tag);
					?>
					<td><?php foreach ($card_stats as $stat) : echo($stat . ' '); endforeach; ?></td>
					<td><?php foreach ($card_tags as $tag) : echo('#' . $tag . ' '); endforeach; ?></td>
					
				</tr>		
				<?php 	$card_counter++; ?>
				<?php endforeach; ?>
			</tbody>
		</table>
		
		<div class="jqmWindow" id="new_card_modal">
			<a href="#" class="jqmClose" id="new_card_modal_close"><?php echo localize('CLOSE'); ?></a>
			<h2><?php echo localize('ADMIN_EDITOR_CREATE_NEW_CARD'); ?></h2>
			<form id="card_editor_form" class="admin_form card_form" method="post" action="" enctype="multipart/form-data">
				<label for="new_card[repetitive]"><?php echo localize('ADMIN_EDITOR_CARD_REPETITIVE'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_REPETITIVE')); ?>" rel="tooltip">i</abbr></div></label>
				<input type="checkbox" name="new_card[repetitive]" value="1" <?php if(isset($_POST['new_card']['repetitive'])) echo('checked="checked"'); ?> />
				<label for="new_card[card_name]"><?php echo localize('ADMIN_EDITOR_CARD_NAME'); ?></label><input class="" type="text" name="new_card[card_name]" id="new_card[card_name]" value="<?php if(isset($_POST['new_card']['card_name'])) echo $_POST['new_card']['card_name']; ?>" />
				<?php	if (isset($editor_form_errors['new_card']['card_name'])) : ?>
				<p class="error"><?php echo $editor_form_errors['new_card']['card_name']; ?></p>
				<?php endif; ?>
				<label for="new_card[tags]"><?php echo localize('ADMIN_EDITOR_CARD_TAGS'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_TAGS')); ?>" rel="tooltip">i</abbr></div></label><input class="autocomplete_tags" type="text" name="new_card[tags]" id="new_card[tags]" value="<?php if(isset($_POST['new_card']['tags'])) echo $_POST['new_card']['tags']; ?>" />
				<?php	if (isset($editor_form_errors['new_card']['tags'])) : ?>
				<p class="error"><?php echo $editor_form_errors['new_card']['tags']; ?></p>
				<?php endif; ?>
				<label for="new_card[stats]"><?php echo localize('ADMIN_EDITOR_CARD_STAT_REQUIREMENTS'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_STAT_REQUIREMENTS')); ?>" rel="tooltip">i</abbr></div></label><input class="autocomplete_stats" type="text" name="new_card[stats]" id="new_card[stats]" value="<?php if(isset($_POST['new_card']['stats'])) echo $_POST['new_card']['stats']; ?>" />
				<?php	if (isset($editor_form_errors['new_card']['stats'])) : ?>
				<p class="error"><?php echo $editor_form_errors['new_card']['stats']; ?></p>
				<?php endif; ?>
				<label for="new_card[description]"><?php echo localize('ADMIN_EDITOR_CARD_DESCRIPTION'); ?></label><textarea class="" name="new_card[description]" id="new_card[description]"><?php if(isset($_POST['new_card']['description'])) echo $_POST['new_card']['description']; ?></textarea>
				<?php	if (isset($editor_form_errors['new_card']['description'])) : ?>
				<p class="error"><?php echo $editor_form_errors['new_card']['description']; ?></p>
				<?php endif; ?>
				
				<div class="choices_and_results" id="new_card_choices_and_results">
					<label><?php echo localize('ADMIN_EDITOR_CARD_CHOICES_RESULTS'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_CHOICES_AND_RESULTS')); ?>" rel="tooltip">i</abbr></div></label>
					<?php $choices_counter = 0; ?>
					<?php do { ?>
					<div id="new_card[choices][<?php echo $choices_counter; ?>]" class="result_div">
					<span class="label_with_input">
						<br />
						<label class="top" for="new_card[choices][<?php echo $choices_counter; ?>][text]"><?php echo($choices_counter+1); ?>. </label><textarea class="" name="new_card[choices][<?php echo $choices_counter; ?>][text]" id="new_card[choices][<?php echo $choices_counter; ?>][text]"><?php if(isset($_POST['new_card']['choices'][$choices_counter]['text'])) echo $_POST['new_card']['choices'][$choices_counter]['text']; ?></textarea>
						<?php if ($choices_counter > 0) : ?>
						<button class="remove_choice_button" id="new_card[remove_choice_<?php echo $choices_counter; ?>]" name="new_card[remove_choice_<?php echo $choices_counter; ?>]"><?php echo localize('ADMIN_EDITOR_REMOVE_CHOICE'); ?></button>
						<?php endif; ?>
					</span>
					<?php	if (isset($editor_form_errors['new_card']['choices'][$choices_counter]['text'])) : ?>
					<p class="error"><?php echo $editor_form_errors['new_card']['choices'][$choices_counter]['text']; ?></p>
					<?php endif; ?>
					<br />
					<div class="results" id="new_card[results_<?php echo $choices_counter; ?>]">
						<?php $results_counter = 0; ?>
						<?php do { ?>
						<div id="new_card[result_<?php echo $choices_counter; ?>_<?php echo $results_counter; ?>]">
						<br />
						<span class="label_with_input">
							<label for="new_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][weight]"><?php echo($choices_counter+1); ?>.<?php echo($results_counter+1); ?></label>
							<input class="percent_input" type="text" name="new_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][weight]" id="new_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][weight]" value="<?php if(isset($_POST['new_card']['results'][$choices_counter][$results_counter]['weight'])) echo $_POST['new_card']['results'][$choices_counter][$results_counter]['weight']; ?>" />
						% <?php if ($results_counter > 0) : ?>
							<button class="remove_result_button" id="new_card[remove_result_<?php echo $choices_counter; ?>_<?php echo $results_counter; ?>]" name="new_card[remove_result_<?php echo $choices_counter; ?>_<?php echo $results_counter; ?>]"><?php echo localize('ADMIN_EDITOR_REMOVE_RESULT'); ?></button>
							<?php endif; ?>
						</span>
						<?php	if (isset($editor_form_errors['new_card']['results'][$choices_counter][$results_counter]['weight'])) : ?>
						<p class="error"><?php echo $editor_form_errors['new_card']['results'][$choices_counter][$results_counter]['weight']; ?></p>
						<?php endif; ?>
						<br />
						<textarea class="game_settings_intended" name="new_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][text]" id="new_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][text]"><?php if(isset($_POST['new_card']['results'][$choices_counter][$results_counter]['text'])) echo $_POST['new_card']['results'][$choices_counter][$results_counter]['text']; ?></textarea>
						<?php	if (isset($editor_form_errors['new_card']['results'][$choices_counter][$results_counter]['text'])) : ?>
						<p class="error"><?php echo $editor_form_errors['new_card']['results'][$choices_counter][$results_counter]['text']; ?></p>
						<?php endif; ?>
						<br />
						<label class="game_settings_intended" for="new_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][stat_changes]"><?php echo localize('ADMIN_EDITOR_CARD_STAT_CHANGES'); ?>: </label><br /><input class="autocomplete_stats game_settings_intended" type="text" name="new_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][stat_changes]" id="new_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][stat_changes]" value="<?php if(isset($_POST['new_card']['results'][$choices_counter][$results_counter]['stat_changes'])) echo $_POST['new_card']['results'][$choices_counter][$results_counter]['stat_changes']; ?>" />
						<?php	if (isset($editor_form_errors['new_card']['results'][$choices_counter][$results_counter]['stat_changes'])) : ?>
						<p class="error"><?php echo $editor_form_errors['new_card']['results'][$choices_counter][$results_counter]['stat_changes']; ?></p>
						<?php endif; ?>
						<br />
						<label class="game_settings_intended" for="new_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][next_criteria]"><?php echo localize('ADMIN_EDITOR_CARD_NEXT_CRITERIA'); ?>: </label><br /><input class="autocomplete_tags game_settings_intended" type="text" name="new_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][next_criteria]" id="new_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][next_criteria]" value="<?php if(isset($_POST['new_card']['results'][$choices_counter][$results_counter]['next_criteria'])) echo $_POST['new_card']['results'][$choices_counter][$results_counter]['next_criteria']; ?>" />
						<?php	if (isset($editor_form_errors['new_card']['results'][$choices_counter][$results_counter]['next_criteria'])) : ?>
						<p class="error"><?php echo $editor_form_errors['new_card']['results'][$choices_counter][$results_counter]['next_criteria']; ?></p>
						<?php endif; ?>
						<br />
						</div>
						<?php $results_counter++; ?>
						<?php } while (isset($_POST['new_card']['results'][$choices_counter][$results_counter]['text'])); ?>
						<button class="new_result_button" id="new_card[add_new_result_<?php echo ($results_counter - 1); ?>]" name="new_card[add_new_result_<?php echo ($results_counter - 1); ?>]"><?php echo localize('ADMIN_EDITOR_ADD_RESULT')?></button>
					</div>
					</div>
					<?php $choices_counter++; ?>
					<?php } while (isset($_POST['new_card']['choices'][$choices_counter]['text'])); ?>
				</div> <!-- choices_and_results -->
				<br />
				<button id="new_card[add_new_choice]" name="new_card[add_new_choice]"><?php echo localize('ADMIN_EDITOR_ADD_CHOICE')?></button>
				<br />
				
				<label for="new_card[expert_advice]"><?php echo localize('ADMIN_EDITOR_CARD_EXPERT_ADVICE'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_EXPERT_ADVICE')); ?>" rel="tooltip">i</abbr></div></label><textarea class="" name="new_card[expert_advice]" id="new_card[expert_advice]" ><?php if(isset($_POST['new_card']['expert_advice'])) echo $_POST['new_card']['expert_advice']; ?></textarea>
				<?php	if (isset($editor_form_errors['new_card']['expert_advice'])) : ?>
				<p class="error"><?php echo $editor_form_errors['new_card']['expert_advice']; ?></p>
				<?php endif; ?>
				<label for="new_card[comment]"><?php echo localize('ADMIN_EDITOR_CARD_COMMENT'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_COMMENT')); ?>" rel="tooltip">i</abbr></div></label><textarea class="" name="new_card[comment]" id="new_card[comment]" ><?php if(isset($_POST['new_card']['comment'])) echo $_POST['new_card']['comment']; ?></textarea>
				<?php	if (isset($editor_form_errors['new_card']['comment'])) : ?>
				<p class="error"><?php echo $editor_form_errors['new_card']['comment']; ?></p>
				<?php endif; ?>
				<label for="new_card[picture_link]"><?php echo localize('ADMIN_EDITOR_CARD_PICTURE_LINK'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_ATTACHMENT')); ?>" rel="tooltip">i</abbr></div></label><input class="" type="file" name="new_card[picture_link]" id="new_card[picture_link]" value="<?php if(isset($_POST['new_card']['picture_link'])) echo $_POST['new_card']['picture_link']; ?>" />
				<?php	if (isset($editor_form_errors['new_card']['picture_link'])) : ?>
				<p class="error"><?php echo $editor_form_errors['new_card']['picture_link']; ?></p>
				<?php endif; ?>
				
				<label for="new_card[default_lang]"><?php echo localize('ADMIN_EDITOR_CARD_DEFAULT_LANGUAGE')?></label>
				<select class="" name="new_card[default_lang]" id="new_card[default_lang]">
				<?php global $languages; ?>
				<?php foreach($languages as $lang): ?>
				<?php 	if(isset($_POST['new_card']['default_lang'])): ?>
					<option value="<?php echo $lang; ?>"<?php if($_POST['new_card']['default_lang'] == $lang) echo ' selected="selected"'; ?>><?php echo $lang; ?></option>
				<?php 	else: ?>
					<option value="<?php echo $lang; ?>"<?php if ($_SESSION['card_display_lang'] == $lang) echo ' selected="selected"';//if(localize('lang') == $lang) echo ' selected="selected"'; ?>><?php echo $lang; ?></option>
				<?php 	endif; ?>			
				<?php endforeach; ?>
				</select>
				<br />
				<input type="submit" class="" id="create_new_card" name="create_new_card" value="<?php echo localize('SAVE')?>" />
				<br />
			</form>
		</div>
		<div class="jqmWindow" id="edit_card_modal">
			<a href="#" class="jqmClose" id="edit_card_modal_close"><?php echo localize('CLOSE'); ?></a>
			<h2><?php echo localize('ADMIN_EDITOR_EDIT_CARD'); ?> <span class="left_margin">(<span id="language_code"></span>)</span></h2>
			<div id="edit_card_loading" class="loading"><img src="../img/loading.gif" alt="<?php echo localize('IMAGE_ALT_LOADING'); ?>" /></div>
			<div id="edit_card_content">
			<form id="card_editor_form" class="admin_form card_form" method="post" action="" enctype="multipart/form-data">
				<label for="edit_card[card_external_id]"><?php echo localize('ADMIN_EDITOR_CARD_ID'); ?></label>
				<input class="" type="text" name="edit_card[card_external_id]" id="edit_card[card_external_id]" value="<?php if (isset($_POST['edit_card']['card_external_id'])) echo($_POST['edit_card']['card_external_id']);?>" disabled="disabled" />
				<input class="" type="hidden" name="edit_card[card_id_hidden]" id="edit_card[card_id_hidden]" value="<?php if (isset($_POST['edit_card']['card_external_id'])) echo($_POST['edit_card']['card_external_id']); ?>" />
				<input class="" type="hidden" name="edit_card[card_id]" id="edit_card[card_id]" value="<?php if (isset($_POST['edit_card']['card_id'])) echo($_POST['edit_card']['card_id']); ?>" />
				<label for="edit_card[repetitive]"><?php echo localize('ADMIN_EDITOR_CARD_REPETITIVE'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_REPETITIVE')); ?>" rel="tooltip">i</abbr></div></label>
				<input type="checkbox" name="edit_card[repetitive]" id="edit_card[repetitive]" value="1" <?php if(isset($_POST['edit_card']['repetitive'])) echo('checked="checked"'); //echo $_POST['edit_card']['repetitive'];  ?> />
				<label for="edit_card[card_name]"><?php echo localize('ADMIN_EDITOR_CARD_NAME')?></label><input class="" type="text" name="edit_card[card_name]" id="edit_card[card_name]" value="<?php if(isset($_POST['edit_card']['card_name'])) echo $_POST['edit_card']['card_name']; ?>" />
				<?php	if (isset($editor_form_errors['edit_card']['card_name'])) : ?>
				<p class="error"><?php echo $editor_form_errors['edit_card']['card_name']; ?></p>
				<?php endif; ?>
				<label for="edit_card[tags]"><?php echo localize('ADMIN_EDITOR_CARD_TAGS'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_TAGS')); ?>" rel="tooltip">i</abbr></div></label><input class="autocomplete_tags" type="text" name="edit_card[tags]" id="edit_card[tags]" value="<?php if(isset($_POST['edit_card']['tags'])) echo $_POST['edit_card']['tags']; ?>" />
				<?php	if (isset($editor_form_errors['edit_card']['tags'])) : ?>
				<p class="error"><?php echo $editor_form_errors['edit_card']['tags']; ?></p>
				<?php endif; ?>
				<label for="edit_card[stats]"><?php echo localize('ADMIN_EDITOR_CARD_STAT_REQUIREMENTS'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_STAT_REQUIREMENTS')); ?>" rel="tooltip">i</abbr></div></label><input class="autocomplete_stats" type="text" name="edit_card[stats]" id="edit_card[stats]" value="<?php if(isset($_POST['edit_card']['stats'])) echo $_POST['edit_card']['stats']; ?>" />
				<?php	if (isset($editor_form_errors['edit_card']['stats'])) : ?>
				<p class="error"><?php echo $editor_form_errors['edit_card']['stats']; ?></p>
				<?php endif; ?>
				<label for="edit_card[description]"><?php echo localize('ADMIN_EDITOR_CARD_DESCRIPTION'); ?></label><textarea class="" name="edit_card[description]" id="edit_card[description]"><?php if(isset($_POST['edit_card']['description'])) echo $_POST['edit_card']['description']; ?></textarea>
				<?php	if (isset($editor_form_errors['edit_card']['description'])) : ?>
				<p class="error"><?php echo $editor_form_errors['edit_card']['description']; ?></p>
				<?php endif; ?>
				
				<label><?php echo localize('ADMIN_EDITOR_CARD_CHOICES_RESULTS'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_CHOICES_AND_RESULTS')); ?>" rel="tooltip">i</abbr></div></label>
				<div class="choices_and_results" id="edit_card_choices_and_results">
					
					<?php $choices_counter = 0; ?>
					<?php do { ?>
					<div id="edit_card[choices][<?php echo $choices_counter; ?>]" class="result_div">
					<br />
					<span class="label_with_input">
						<br />
						<label class="top" for="edit_card[choices][<?php echo $choices_counter; ?>][text]"><?php echo($choices_counter+1); ?>. </label><textarea class="" name="edit_card[choices][<?php echo $choices_counter; ?>][text]" id="edit_card[choices][<?php echo $choices_counter; ?>][text]"><?php if(isset($_POST['edit_card']['choices'][$choices_counter]['text'])) echo $_POST['edit_card']['choices'][$choices_counter]['text']; ?></textarea>
						<?php if ($choices_counter > 0) : ?>
						<button class="remove_choice_button" id="edit_card[remove_choice_<?php echo $choices_counter; ?>]" name="edit_card[remove_choice_<?php echo $choices_counter; ?>]"><?php echo localize('ADMIN_EDITOR_REMOVE_CHOICE'); ?></button>
						<?php endif; ?>
					</span>
					<?php	if (isset($editor_form_errors['edit_card']['choices'][$choices_counter]['text'])) : ?>
					<p class="error"><?php echo $editor_form_errors['edit_card']['choices'][$choices_counter]['text']; ?></p>
					<?php endif; ?>
					<br />
					<div class="results" id="edit_card[results_<?php echo $choices_counter; ?>]">
						<?php $results_counter = 0; ?>
						<?php do { ?>
						<div id="edit_card[result_<?php echo $choices_counter; ?>_<?php echo $results_counter; ?>]">
						<br />
						<span class="label_with_input">
							<label for="edit_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][weight]"><?php echo($choices_counter+1); ?>.<?php echo($results_counter+1); ?></label>
							<input class="percent_input" type="text" name="edit_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][weight]" id="edit_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][weight]" value="<?php if(isset($_POST['edit_card']['results'][$choices_counter][$results_counter]['weight'])) echo $_POST['edit_card']['results'][$choices_counter][$results_counter]['weight']; ?>" />
						% <?php if ($results_counter > 0) : ?>
							<button class="remove_result_button" id="edit_card[remove_result_<?php echo $choices_counter; ?>_<?php echo $results_counter; ?>]" name="edit_card[remove_result_<?php echo $choices_counter; ?>_<?php echo $results_counter; ?>]"><?php echo localize('ADMIN_EDITOR_REMOVE_RESULT'); ?></button>
						<?php endif; ?>
						</span>
						
						<?php	if (isset($editor_form_errors['edit_card']['results'][$choices_counter][$results_counter]['weight'])) : ?>
						<p class="error"><?php echo $editor_form_errors['edit_card']['results'][$choices_counter][$results_counter]['weight']; ?></p>
						<?php endif; ?>
						<textarea class="game_settings_intended" name="edit_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][text]" id="edit_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][text]"><?php if(isset($_POST['edit_card']['results'][$choices_counter][$results_counter]['text'])) echo $_POST['edit_card']['results'][$choices_counter][$results_counter]['text']; ?></textarea>
						<?php	if (isset($editor_form_errors['edit_card']['results'][$choices_counter][$results_counter]['text'])) : ?>
						<p class="error"><?php echo $editor_form_errors['edit_card']['results'][$choices_counter][$results_counter]['text']; ?></p>
						<?php endif; ?>
						<br />
						<label class="game_settings_intended" for="edit_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][stat_changes]"><?php echo localize('ADMIN_EDITOR_CARD_STAT_CHANGES'); ?>: </label><br /><input class="autocomplete_stats game_settings_intended" type="text" name="edit_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][stat_changes]" id="edit_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][stat_changes]" value="<?php if(isset($_POST['edit_card']['results'][$choices_counter][$results_counter]['stat_changes'])) echo $_POST['edit_card']['results'][$choices_counter][$results_counter]['stat_changes']; ?>" />
						<?php	if (isset($editor_form_errors['edit_card']['results'][$choices_counter][$results_counter]['stat_changes'])) : ?>
						<p class="error"><?php echo $editor_form_errors['edit_card']['results'][$choices_counter][$results_counter]['stat_changes']; ?></p>
						<?php endif; ?>
						<br />
						<label class="game_settings_intended" for="edit_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][next_criteria]"><?php echo localize('ADMIN_EDITOR_CARD_NEXT_CRITERIA'); ?>: </label><br /><input class="autocomplete_tags game_settings_intented" type="text" name="edit_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][next_criteria]" id="edit_card[results][<?php echo $choices_counter; ?>][<?php echo $results_counter; ?>][next_criteria]" value="<?php if(isset($_POST['edit_card']['results'][$choices_counter][$results_counter]['next_criteria'])) echo $_POST['edit_card']['results'][$choices_counter][$results_counter]['next_criteria']; ?>" />
						<?php	if (isset($editor_form_errors['edit_card']['results'][$choices_counter][$results_counter]['next_criteria'])) : ?>
						<p class="error"><?php echo $editor_form_errors['edit_card']['results'][$choices_counter][$results_counter]['next_criteria']; ?></p>
						<?php endif; ?>
						<br />
						</div>
						<?php $results_counter++; ?>
						<?php } while (isset($_POST['edit_card']['results'][$choices_counter][$results_counter]['text'])); ?>
						<button class="new_result_button" id="edit_card[add_new_result_<?php echo ($results_counter - 1); ?>]" name="edit_card[add_new_result_<?php echo ($results_counter - 1); ?>]"><?php echo localize('ADMIN_EDITOR_ADD_RESULT')?></button>
					</div>
					</div>
					
					<?php $choices_counter++; ?>
					<?php } while (isset($_POST['edit_card']['choices'][$choices_counter]['text'])); ?>
				</div> <!-- choices_and_results -->
				<br />
				<button id="edit_card[add_new_choice]" name="edit_card[add_new_choice]"><?php echo localize('ADMIN_EDITOR_ADD_CHOICE')?></button>
				<br />
				
				<label for="edit_card[expert_advice]"><?php echo localize('ADMIN_EDITOR_CARD_EXPERT_ADVICE'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_EXPERT_ADVICE')); ?>" rel="tooltip">i</abbr></div></label><textarea class="" name="edit_card[expert_advice]" id="edit_card[expert_advice]" ><?php if(isset($_POST['edit_card']['expert_advice'])) echo $_POST['edit_card']['expert_advice']; ?></textarea>
				<?php	if (isset($editor_form_errors['edit_card']['expert_advice'])) : ?>
				<p class="error"><?php echo $editor_form_errors['edit_card']['expert_advice']; ?></p>
				<?php endif; ?>
				<label for="edit_card[comment]"><?php echo localize('ADMIN_EDITOR_CARD_COMMENT'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_COMMENT')); ?>" rel="tooltip">i</abbr></div></label><textarea class="" name="edit_card[comment]" id="edit_card[comment]" ><?php if(isset($_POST['edit_card']['comment'])) echo $_POST['edit_card']['comment']; ?></textarea>
				<?php	if (isset($editor_form_errors['edit_card']['comment'])) : ?>
				<p class="error"><?php echo $editor_form_errors['edit_card']['comment']; ?></p>
				<?php endif; ?>
				<label for="edit_card[attachment_text]"><?php echo localize('ADMIN_EDITOR_CARD_PICTURE_LINK'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_ATTACHMENT')); ?>" rel="tooltip">i</abbr></div></label>
				<?php if (isset($_POST['edit_card']['attachment_text']) && !empty($_POST['edit_card']['attachment_text'])) : ?>
				<input class="" type="text" name="edit_card[attachment_text]" id="edit_card[attachment_text]" value="<?php if(isset($_POST['edit_card']['attachment_text'])) echo $_POST['edit_card']['attachment_text']; ?>" disabled="disabled" /><button id="edit_card_remove_attachment"><?php echo localize('CLEAR'); ?></button>
				<input type="hidden" name="edit_card[attachment_text_hidden]" id="edit_card[attachment_text_hidden]" value="<?php if(isset($_POST['edit_card']['attachment_text'])) echo $_POST['edit_card']['attachment_text']; ?>" />
				<?php elseif (!isset($_POST['edit_card']['attachment_text'])) : ?>
				<input class="" type="text" name="edit_card[attachment_text]" id="edit_card[attachment_text]" value="<?php if(isset($_POST['edit_card']['attachment_text'])) echo $_POST['edit_card']['attachment_text']; ?>" disabled="disabled" />
				<button id="edit_card_remove_attachment"><?php echo localize('CLEAR'); ?></button><br />
				<input type="hidden" name="edit_card[attachment_text_hidden]" id="edit_card[attachment_text_hidden]" value="<?php if(isset($_POST['edit_card']['attachment_text'])) echo $_POST['edit_card']['attachment_text']; ?>" />
				<?php endif; ?>
				<span class="label_with_input">
					<label for="edit_card[picture_link]"><?php echo localize('ADMIN_EDITOR_CARD_NEW_ATTACHMENT'); ?></label><input class="" type="file" name="edit_card[picture_link]" id="edit_card[picture_link]" value="<?php if(isset($_POST['edit_card']['picture_link'])) echo $_POST['edit_card']['picture_link']; ?>" />
				</span>
				<?php	if (isset($editor_form_errors['edit_card']['picture_link'])) : ?>
				<p class="error"><?php echo $editor_form_errors['edit_card']['picture_link']; ?></p>
				<?php endif; ?>
				
				<div id="edit_card_image">	
				<?php if (isset($_POST['edit_card']['attachment_text']) && !empty($_POST['edit_card']['attachment_text'])) :
					$config = Config::getInstance();
				?>
					<img src="<?php echo($config->baseurl . $_SESSION['game']['image_folder'] . $_POST['edit_card']['attachment_text']); ?>" alt="<?php echo localize("IMAGE_ALT_CARD"); ?>" />
				<?php else :?>
					<img src="" style="display:none;" alt="<?php echo localize("IMAGE_ALT_CARD"); ?>" />
				<?php endif; ?>
				</div>
				
				<label for="edit_card[default_lang]"><?php echo localize('ADMIN_EDITOR_CARD_DEFAULT_LANGUAGE')?></label>
				<select class="" name="edit_card[default_lang]" id="edit_card[default_lang]">
				<?php global $languages; ?>
				<?php foreach($languages as $lang): ?>
				<?php 	if(isset($_POST['edit_card']['default_lang'])): ?>
					<option value="<?php echo $lang; ?>"<?php if($_POST['edit_card']['default_lang'] == $lang) echo ' selected="selected"'; ?>><?php echo $lang; ?></option>
				<?php 	else: ?>
					<option value="<?php echo $lang; ?>"<?php if ($_SESSION['card_display_lang'] == $lang) echo ' selected="selected"';//if(localize('lang') == $lang) echo ' selected="selected"'; ?>><?php echo $lang; ?></option>
				<?php 	endif; ?>			
				<?php endforeach; ?>
				</select>
				<br />
				<br />
				<input class="" type="submit" id="edit_old_card" name="edit_old_card" value="<?php echo localize('SAVE')?>" />
				<br />
				<hr />
				<br />
				<label for="edit_card[translations]"><?php echo localize('ADMIN_EDITOR_CARD_TRANSLATIONS')?></label>
				<div><span class="input_with_button">
				<select class="" name="edit_card[translations]" id="edit_card[translations]">
				<?php $translations = array($_SESSION['card_display_lang']);//localize('lang')); ?>
				<?php foreach($translations as $trans): ?>
				<?php 	if(isset($_POST['edit_card']['translations'])): ?>
					<option value="<?php echo $trans; ?>"<?php if($_POST['edit_card']['translations'] == $trans) echo ' selected="selected"'; ?>><?php echo $trans; ?></option>
				<?php 	else: ?>
					<option value="<?php echo $trans; ?>"<?php if ($_SESSION['card_display_lang'] == $trans) echo ' selected="selected"';//if(localize('lang') == $trans) echo ' selected="selected"'; ?>><?php echo $trans; ?></option>
				<?php 	endif; ?>			
				<?php endforeach; ?>
				</select>
				<input class="" type="submit" class="" id="edit_card_select_translation" name="edit_card_select_translation" value="<?php echo localize('SWITCH')?>" />
				</span></div>
				<br />
				<button id="edit_card_add_translation"><?php echo localize('ADMIN_EDITOR_CARD_ADD_TRANSLATION')?></button>
				<br />
				<br />
			</form>
			</div>
		</div>
		
		<div id="add_translation_modal" class="jqmDialog jqmDialogSmallCenter">
			<a href="#" class="jqmClose" id="add_translation_modal_close"><?php echo localize('CLOSE'); ?></a>
			<h2><?php echo localize('ADMIN_EDITOR_CARD_ADD_TRANSLATION'); ?></h2>
			
			<div class="jqmdBL"><div class="jqmdBR"><div class="jqmdBC">

			<div class="jqmdMSG">
				<div class="centered buttons">
					<form id="add_translation_form" class="admin_form" method="post" action="">
						<span class="input_with_button">
						<label for="add_translation[lang]"><?php echo localize('LANGUAGE')?>: </label>
						<select class="" name="add_translation[lang]" id="add_translation[lang]">
							<option value="" selected="selected" disabled="disabled"><?php echo localize('SELECT'); ?></option>
						<?php global $languages; ?>
						<?php foreach($languages as $lang): ?>
							<option value="<?php echo $lang; ?>"><?php echo $lang; ?></option>		
						<?php endforeach; ?>
						</select>
						<input type="submit" class="" id="add_translation_button" name="add_translation_button" value="<?php echo localize('OK')?>" />
						</span>
					</form>
				</div>
				<br />
		</div>
		
		</div></div></div>
	</div>
		
		<div class="jqmWindow" id="edit_cards_modal">
			<a href="#" class="jqmClose" id="edit_cards_modal_close"><?php echo localize('CLOSE'); ?></a>
			<h2><?php echo localize('ADMIN_EDITOR_EDIT_CARDS'); ?></h2>
			<div id="edit_cards_loading" class="loading"><img src="../img/loading.gif" alt="<?php echo localize('IMAGE_ALT_LOADING'); ?>" /></div>
			<div id="edit_cards_content">
			<form id="cards_editor_form" class="admin_form card_form" method="post" action="" enctype="multipart/form-data">
				<label for="edit_cards[card_external_ids]"><?php echo localize('ADMIN_EDITOR_CARD_IDS'); ?></label>
				<input class="" type="text" name="edit_cards[card_external_ids]" id="edit_cards[card_external_ids]" value="<?php if (isset($_POST['edit_cards']['card_external_ids'])) echo($_POST['edit_cards']['card_external_ids']);?>" disabled="disabled" />
				<input type="hidden" name="edit_cards[card_ids_hidden]" id="edit_cards[card_ids_hidden]" value="<?php if (isset($_POST['edit_cards']['card_external_ids'])) echo($_POST['edit_cards']['card_external_ids']); ?>" />
				<input type="hidden" name="edit_cards[card_ids]" id="edit_cards[card_ids]" value="<?php if (isset($_POST['edit_cards']['card_ids'])) echo($_POST['edit_cards']['card_ids']); ?>" />
				
				<label for="edit_cards[repetitive]"><?php echo localize('ADMIN_EDITOR_CARD_REPETITIVE'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_REPETITIVE')); ?>" rel="tooltip">i</abbr></div></label>
				<input type="checkbox" name="edit_cards[repetitive]" id="edit_cards[repetitive]" value="1" <?php if(isset($_POST['edit_cards']['repetitive'])) : echo('checked="checked"'); else : echo('disabled="disabled"'); endif; ?> />
				<button id="edit_cards_enable_repetitive_button" name="edit_cards_enable_repetitive_button"><?php echo localize('ADMIN_EDITOR_ENABLE_CHECKBOX')?></button>
				<input type="hidden" name="edit_cards[repetitive_enabled]" id="edit_cards[repetitive_enabled]" value="<?php if(isset($_POST['edit_cards']['repetitive_enabled']) && $_POST['edit_cards']['repetitive_enabled'] == '1') : echo('1'); else : echo('0'); endif; ?>" />
				
				<label for="edit_cards[add_tags]"><?php echo localize('ADMIN_EDITOR_CARD_ADD_TAGS'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_TAGS')); ?>" rel="tooltip">i</abbr></div></label><input class="autocomplete_tags" type="text" name="edit_cards[add_tags]" id="edit_cards[add_tags]" value="<?php if(isset($_POST['edit_cards']['add_tags'])) echo $_POST['edit_cards']['add_tags']; ?>" />
				<?php	if (isset($editor_form_errors['edit_cards']['add_tags'])) : ?>
				<p class="error"><?php echo $editor_form_errors['edit_cards']['add_tags']; ?></p>
				<?php endif; ?>
				<label for="edit_cards[remove_tags]"><?php echo localize('ADMIN_EDITOR_CARD_REMOVE_TAGS'); ?></label><input class="autocomplete_tags" type="text" name="edit_cards[remove_tags]" id="edit_cards[remove_tags]" value="<?php if(isset($_POST['edit_cards']['remove_tags'])) echo $_POST['edit_cards']['remove_tags']; ?>" />
				<?php	if (isset($editor_form_errors['edit_cards']['remove_tags'])) : ?>
				<p class="error"><?php echo $editor_form_errors['edit_cards']['remove_tags']; ?></p>
				<?php endif; ?>
				
				<label for="edit_cards[add_stats]"><?php echo localize('ADMIN_EDITOR_CARD_ADD_STATS'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_STAT_REQUIREMENTS')); ?>" rel="tooltip">i</abbr></div></label><input class="autocomplete_stats" type="text" name="edit_cards[add_stats]" id="edit_cards[add_stats]" value="<?php if(isset($_POST['edit_cards']['add_stats'])) echo $_POST['edit_cards']['add_stats']; ?>" />
				<?php	if (isset($editor_form_errors['edit_cards']['add_stats'])) : ?>
				<p class="error"><?php echo $editor_form_errors['edit_cards']['add_stats']; ?></p>
				<?php endif; ?>
				<label for="edit_cards[remove_stats]"><?php echo localize('ADMIN_EDITOR_CARD_REMOVE_STATS'); ?></label><input class="autocomplete_stats" type="text" name="edit_cards[remove_stats]" id="edit_cards[remove_stats]" value="<?php if(isset($_POST['edit_cards']['remove_stats'])) echo $_POST['edit_cards']['remove_stats']; ?>" />
				<?php	if (isset($editor_form_errors['edit_cards']['remove_stats'])) : ?>
				<p class="error"><?php echo $editor_form_errors['edit_cards']['remove_stats']; ?></p>
				<?php endif; ?>
				
				<label for="edit_cards[comment]"><?php echo localize('ADMIN_EDITOR_CARD_COMMENT'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_COMMENT')); ?>" rel="tooltip">i</abbr></div></label><textarea class="" name="edit_cards[comment]" id="edit_cards[comment]" disabled="disabled"><?php if(isset($_POST['edit_cards']['comment'])) echo $_POST['edit_cards']['comment'];?></textarea>
				<?php	if (isset($editor_form_errors['edit_cards']['comment'])) : ?>
				<p class="error"><?php echo $editor_form_errors['edit_cards']['comment']; ?></p>
				<?php endif; ?>
				<button id="edit_cards_enable_comment_button" name="edit_cards_enable_comment_button"><?php echo localize('ADMIN_EDITOR_ENABLE_COMMENT')?></button> 
				
				<label for="edit_cards[picture_link]"><?php echo localize('ADMIN_EDITOR_CARD_PICTURE_LINK'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_CARD_ATTACHMENT')); ?>" rel="tooltip">i</abbr></div></label>
				<input class="" type="file" name="edit_cards[picture_link]" id="edit_cards[picture_link]" value="<?php if(isset($_POST['edit_cards']['picture_link'])) : echo $_POST['edit_cards']['picture_link']; else : echo('" disabled="disabled'); endif;  ?>" />
				<?php	if (isset($editor_form_errors['edit_cards']['picture_link'])) : ?>
				<p class="error"><?php echo $editor_form_errors['edit_cards']['picture_link']; ?></p>
				<?php endif; ?>
				<input type="hidden" name="edit_cards[picture_enabled]" id="edit_cards[picture_enabled]" value="<?php if(isset($_POST['edit_cards']['picture_enabled']) && $_POST['edit_cards']['picture_enabled'] == '1') : echo('1'); else : echo('0'); endif; ?>" />
				<button id="edit_cards_enable_picture_button" name="edit_cards_enable_picture_button"><?php echo localize('ADMIN_EDITOR_ENABLE_PICTURE')?></button> 
				<br />
				<br />
				<br />
				<input class="" type="submit" id="edit_multiple_cards" name="edit_multiple_cards" value="<?php echo localize('SAVE')?>" />
				<br />
				<br />
			</form>
			</div>
		</div>
		
		<div id="delete_card_modal" class="jqmDialog jqmdWide">
			<a href="#" class="jqmClose" id="delete_card_modal_close"><?php echo localize('CLOSE'); ?></a>
			<!--<div class="jqmdTL"><div class="jqmdTR"><div class="jqmdTC">Modal Dialog</div></div></div>  -->
			<div class="jqmdBL"><div class="jqmdBR"><div class="jqmdBC">

			<div class="jqmdMSG">
				<br />
				<br />
				<br />
				<div class="centered largeText">
					<?php echo localize('ADMIN_EDITOR_CONFIRM_DELETE_CARD_PT1')?>
					<span id="delete_card_modal_card_number"></span>
					<?php echo localize('ADMIN_EDITOR_CONFIRM_DELETE_CARD_PT2')?>
				</div>
				<br />
				<div class="centered buttons">
					<input type="submit" class="jqmClose" id="delete_card_modal_yes_button" name="delete_card_modal_yes_button" value="<?php echo localize("YES"); ?>" />
					<input type="submit" class="jqmClose" id="delete_card_modal_no_button" name="delete_card_modal_no_button" value="<?php echo localize("NO"); ?>" />
				</div>
			</div>

			</div></div></div>

		</div>

		<div class="jqmWindowWide" id="compare_cards_modal">
			<a href="#" class="jqmClose" id="compare_cards_modal_close"><?php echo localize('CLOSE'); ?></a>
			<h2><?php echo localize('ADMIN_EDITOR_COMPARE_CARDS'); ?></h2>
			
			<button class="compare_cards_edit_all_button" name="compare_cards_edit_all_button1"><?php echo localize('ADMIN_EDITOR_EDIT_CARDS'); ?></button>
			<div id="compare_cards_loading" class="loading"><img src="../img/loading.gif" alt="<?php echo localize('IMAGE_ALT_LOADING'); ?>" /></div>
			<div id="compare_cards_content">
			<?php // Content comes via AJAX ?>
			</div>
			<button class="compare_cards_edit_all_button" name="compare_cards_edit_all_button2"><?php echo localize('ADMIN_EDITOR_EDIT_CARDS'); ?></button>
		</div>
		
		<a href="#" id="show_edit_card_popup"><!-- Hidden button for opening edit card pop up in case of errors --></a>
		<a href="#" id="show_edit_cards_popup"><!-- Hidden button for opening edit cards pop up in case of errors --></a>
		
<script type="text/javascript">
<!--
$(document).ready(function() {
<?php if ($show_new_card || !empty($editor_form_errors['new_card'])) : ?>
	$('#editor_new_card_button').click();
<?php endif; ?>
<?php if ($show_edit_card || !empty($editor_form_errors['edit_card'])) : ?>
	$('#show_edit_card_popup').show().click().hide();
	//$('#editor_edit_card_button').click();
<?php endif; ?>
<?php if ($show_edit_cards || !empty($editor_form_errors['edit_cards'])) : ?>
$('#show_edit_cards_popup').show().click().hide();
//$('#editor_edit_cards_button').click();
<?php endif; ?>
});
//-->
</script>

<?php ?>