<?php 
/**
*	@file editor_tab_settings.php
*	@brief A game settings tab of an administator view editor page.
*	From this tab administrators can edit game settings.
*/ 


// Get db object and set game variable or get game from session array
$db = DB::getInstance();
$game_id = 0;
if (isset($_SESSION['admin']['game']['game_id'])) {
	$game_id = $_SESSION['admin']['game']['game_id'];
	$game = $_SESSION['admin']['game'];
}
?>
		<div id="editor_settings">
			
			<?php // Possible notifications of succesful changes ?>
			<?php if (isset($_POST['notifications']['background_color_changed'])) :
						if ($_POST['notifications']['background_color_changed']) : ?>
			<p class="notification">
				<?php echo localize('ADMIN_EDITOR_NOTIFICATION_BACKGROUND_COLOR_CHANGED'); ?>
			</p>
			<?php 	endif; ?>
			<?php endif; ?>
			
			<?php if (isset($_POST['notifications']['text_color_changed'])) :
						if ($_POST['notifications']['text_color_changed']) : ?>
			<p class="notification">
				<?php echo localize('ADMIN_EDITOR_NOTIFICATION_TEXT_COLOR_CHANGED'); ?>
			</p>
			<?php 	endif; ?>
			<?php endif; ?>
			
			<?php if (isset($_POST['notifications']['link_color_changed'])) :
						if ($_POST['notifications']['link_color_changed']) : ?>
			<p class="notification">
				<?php echo localize('ADMIN_EDITOR_NOTIFICATION_LINK_COLOR_CHANGED'); ?>
			</p>
			<?php 	endif; ?>
			<?php endif; ?>
			
			<?php if (isset($_POST['notifications']['link_hover_color_changed'])) :
						if ($_POST['notifications']['link_hover_color_changed']) : ?>
			<p class="notification">
				<?php echo localize('ADMIN_EDITOR_NOTIFICATION_LINK_HOVER_COLOR_CHANGED'); ?>
			</p>
			<?php 	endif; ?>
			<?php endif; ?>
			
			<?php if (isset($_POST['notifications']['button_color_changed'])) :
						if ($_POST['notifications']['button_color_changed']) : ?>
			<p class="notification">
				<?php echo localize('ADMIN_EDITOR_NOTIFICATION_BUTTON_COLOR_CHANGED'); ?>
			</p>
			<?php 	endif; ?>
			<?php endif; ?>
			
			<?php if (isset($_POST['notifications']['button_hover_color_changed'])) :
						if ($_POST['notifications']['button_hover_color_changed']) : ?>
			<p class="notification">
				<?php echo localize('ADMIN_EDITOR_NOTIFICATION_BUTTON_HOVER_COLOR_CHANGED'); ?>
			</p>
			<?php 	endif; ?>
			<?php endif; ?>
			
			<?php if (isset($_POST['notifications']['background_tile_changed'])) :
						if ($_POST['notifications']['background_tile_changed']) : ?>
			<p class="notification">
				<?php echo localize('ADMIN_EDITOR_NOTIFICATION_BACKGROUND_TILE_CHANGED'); ?>
			</p>
			<?php 	endif; ?>
			<?php endif; ?>
			
			<?php if (isset($_POST['notifications']['image_folder_changed'])) :
						if ($_POST['notifications']['image_folder_changed']) : ?>
			<p class="notification">
				<?php echo localize('ADMIN_EDITOR_NOTIFICATION_IMAGE_FOLDER_CHANGED'); ?>
			</p>
			<?php 	endif; ?>
			<?php endif; ?>
			
			<?php if (isset($_POST['notifications']['logo_changed'])) :
						if ($_POST['notifications']['logo_changed']) : ?>
			<p class="notification">
				<?php echo localize('ADMIN_EDITOR_NOTIFICATION_LOGO_CHANGED'); ?>
			</p>
			<?php 	endif; ?>
			<?php endif; ?>
			
			<?php if (isset($_POST['notifications']['slug_changed'])) :
						if ($_POST['notifications']['slug_changed']) : ?>
			<p class="notification">
				<?php echo localize('ADMIN_EDITOR_NOTIFICATION_SLUG_CHANGED'); ?>
			</p>
			<?php 	endif; ?>
			<?php endif; ?>
			
			<?php if (isset($_POST['notifications']['visible_stats_changed'])) :
						if ($_POST['notifications']['visible_stats_changed']) : ?>
			<p class="notification">
				<?php echo localize('ADMIN_EDITOR_NOTIFICATION_VISIBLE_STATS_CHANGED'); ?>
			</p>
			<?php 	endif; ?>
			<?php endif; ?>
			
			<?php $show_user_list = false;
					if (isset($_POST['notifications']['admin_rights_changed'])) :
						if ($_POST['notifications']['admin_rights_changed']) : ?>
			<p class="notification">
				<?php echo localize('ADMIN_EDITOR_NOTIFICATION_ADMIN_RIGHTS_CHANGED'); ?>
			</p>
			<?php 	else : ?>
			<?php 		$show_user_list = true;?>
			<?php 	endif; ?>
			<?php endif; ?>
			
			<?php $show_game_settings = false;
					if (isset($_POST['notifications']['game_settings_changed'])) :
						if ($_POST['notifications']['game_settings_changed']) : ?>
			<p class="notification">
				<?php echo localize('ADMIN_EDITOR_NOTIFICATION_GAME_SETTINGS_CHANGED'); ?>
			</p>
			<?php 	else : ?>
			<?php 		$show_game_settings = true;?>
			<?php 	endif; ?>
			<?php endif; ?>
		
			<h2><a class="jqModal" id="user_list_button" href="#"><?php echo localize('ADMIN_EDITOR_USER_LIST')?></a></h2>
			<h2><a class="jqModal" id="game_settings_button" href="#"><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS')?></a></h2>
			<h2><a class="jqModal" id="game_texts_button" href="#"><?php echo localize('ADMIN_EDITOR_GAME_TEXTS')?></a></h2>
			<h2><a class="jqModal" id="visible_stats_button" href="#"><?php echo localize('ADMIN_EDITOR_VISIBLE_STATS')?></a></h2>
			<!--<h2><a class="jqModal" id="game_colors_button" href="#"><?php echo localize('ADMIN_EDITOR_GAME_COLORS')?></a></h2>-->
			
			<?php global $image_folder; ?>
			<?php if (isset($_POST['editor']['settings']['image_folder']) && !empty($_POST['editor']['settings']['image_folder'])) {
						$current_image_folder = $_POST['editor']['settings']['image_folder'];
					}
					elseif (isset($game['image_folder']) && !empty($game['image_folder'])) {
						$current_image_folder = $game['image_folder'];
					}
					else {
						$current_image_folder = $image_folder;
					}
					$current_image_folder = str_replace(array('/', '\\'), '/', $current_image_folder);
			?>
				
			<form id="background_tile_form" class="admin_form small_input narrow_form" method="post" enctype="multipart/form-data">
				<label for="editor[settings][background_tile]"><?php echo localize('ADMIN_EDITOR_BACKGROUND_TILE')?>:<div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_BACKGROUND_TILE')); ?>" rel="tooltip">i</abbr></div></label>
				<?php $background_tile = '';
						if (isset($game['background_tile']) && !empty($game['background_tile'])) {
							$background_tile = $game['background_tile'];
						}
				?>
				<?php $config = Config::getInstance(); ?>
				<div><span class="input_with_button">
					<input class="" type="text" name="editor[settings][background_tile_text]" id="editor[settings][background_tile_text]" value="<?php echo $background_tile; ?>" disabled="disabled" />
					<input type="hidden" name="editor[settings][background_tile_text_hidden]" id="editor[settings][background_tile_text_hidden]" value="<?php echo $background_tile; ?>" />
					<?php if (!empty($background_tile)) : ?><button id="admin_editor_remove_background_tile"><?php echo localize('CLEAR'); ?></button><?php endif; ?>
					<input class="" type="submit" class="" id="change_background_tile" name="change_background_tile" value="<?php echo localize('SAVE')?>" />
				</span></div>
				<input class="" type="file" name="editor[settings][background_tile]" id="editor[settings][background_tile]" value="<?php if(isset($_POST['editor']['settings']['background_tile'])) echo $_POST['editor']['settings']['background_tile']; ?>" />
				<?php	if (isset($editor_form_errors['editor']['settings']['background_tile'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['background_tile']; ?></p>
				<?php endif; ?>
			</form>
			<div id="game_background_tile_preview" <?php if (empty($background_tile)) echo('style="display:none;"'); ?>>
				<img src="<?php if (!empty($background_tile)) : echo($config->baseurl . $current_image_folder . $background_tile); endif; ?>" alt="<?php echo localize('ADMIN_EDITOR_BACKGROUND_TILE')?>" />
			</div>
			<br />
			
			<form id="bacground_color_form" class="admin_form small_input narrow_form" method="post" action="">
				<label for="editor[settings][background_color]"><?php echo localize('ADMIN_EDITOR_BACKGROUND_COLOR')?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_BACKGROUND_COLOR')); ?>" rel="tooltip">i</abbr></div></label>
				<?php if (isset($_POST['editor']['settings']['background_color']) && !empty($_POST['editor']['settings']['background_color'])) {
							$current_background = $_POST['editor']['settings']['background_color'];
						}
						elseif (isset($game['background_color'])) {
							$current_background = $game['background_color'];
						}
						else {
							$current_background = '';
						}
				?>
				<div><span class="input_with_button">
					<input class="color {required:false}" type="text" name="editor[settings][background_color]" id="editor[settings][background_color]" value="<?php echo $current_background; ?>" />
					<input class="" type="submit" class="" id="change_background_color" name="change_background_color" value="<?php echo localize('SAVE')?>" />
				</span></div>
				<?php	if (isset($editor_form_errors['editor']['settings']['background_color'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['background_color']; ?></p>
				<?php endif; ?>
			</form>
			<br />
			
			<form id="text_color_form" class="admin_form small_input narrow_form" method="post" action="">
				<label for="editor[settings][text_color]"><?php echo localize('ADMIN_EDITOR_TEXT_COLOR')?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_TEXT_COLOR')); ?>" rel="tooltip">i</abbr></div></label>
				<?php if (isset($_POST['editor']['settings']['text_color']) && !empty($_POST['editor']['settings']['text_color'])) {
							$current_text = $_POST['editor']['settings']['text_color'];
						}
						elseif (isset($game['text_color'])) {
							$current_text = $game['text_color'];
						}
						else {
							$current_text = '';
						}
				?>
				<div><span class="input_with_button">
					<input class="color {required:false}" type="text" name="editor[settings][text_color]" id="editor[settings][text_color]" value="<?php echo $current_text; ?>" />
					<input class="" type="submit" class="" id="change_text_color" name="change_text_color" value="<?php echo localize('SAVE')?>" />
				</span></div>
				<?php	if (isset($editor_form_errors['editor']['settings']['text_color'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['text_color']; ?></p>
				<?php endif; ?>
			</form>
			<br />
			
			<form id="link_color_form" class="admin_form small_input narrow_form" method="post" action="">
				<label for="editor[settings][link_color]"><?php echo localize('ADMIN_EDITOR_LINK_COLOR')?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_LINK_COLOR')); ?>" rel="tooltip">i</abbr></div></label>
				<?php if (isset($_POST['editor']['settings']['link_color']) && !empty($_POST['editor']['settings']['link_color'])) {
							$current_link = $_POST['editor']['settings']['link_color'];
						}
						elseif (isset($game['link_color'])) {
							$current_link = $game['link_color'];
						}
						else {
							$current_link = '';
						}
				?>
				<div><span class="input_with_button">
					<input class="color {required:false}" type="text" name="editor[settings][link_color]" id="editor[settings][link_color]" value="<?php echo $current_link; ?>" />
					<input class="" type="submit" class="" id="change_link_color" name="change_link_color" value="<?php echo localize('SAVE')?>" />
				</span></div>
				<?php	if (isset($editor_form_errors['editor']['settings']['link_color'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['link_color']; ?></p>
				<?php endif; ?>
			</form>
			<br />
			
			<form id="link_hover_color_form" class="admin_form small_input narrow_form" method="post" action="">
				<label for="editor[settings][link_hover_color]"><?php echo localize('ADMIN_EDITOR_LINK_HOVER_COLOR')?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_LINK_HOVER_COLOR')); ?>" rel="tooltip">i</abbr></div></label>
				<?php if (isset($_POST['editor']['settings']['link_hover_color']) && !empty($_POST['editor']['settings']['link_hover_color'])) {
							$current_link_hover = $_POST['editor']['settings']['link_hover_color'];
						}
						elseif (isset($game['link_hover_color'])) {
							$current_link_hover = $game['link_hover_color'];
						}
						else {
							$current_link_hover = '';
						}
				?>
				<div><span class="input_with_button">
					<input class="color {required:false}" type="text" name="editor[settings][link_hover_color]" id="editor[settings][link_hover_color]" value="<?php echo $current_link_hover; ?>" />
					<input class="" type="submit" class="" id="change_link_hover_color" name="change_link_hover_color" value="<?php echo localize('SAVE')?>" />
				</span></div>
				<?php	if (isset($editor_form_errors['editor']['settings']['link_hover_color'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['link_hover_color']; ?></p>
				<?php endif; ?>
			</form>
			<br />
			
			<form id="button_color_form" class="admin_form small_input narrow_form" method="post" action="">
				<label for="editor[settings][button_color]"><?php echo localize('ADMIN_EDITOR_BUTTON_COLOR')?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_BUTTON_COLOR')); ?>" rel="tooltip">i</abbr></div></label>
				<?php if (isset($_POST['editor']['settings']['button_color']) && !empty($_POST['editor']['settings']['button_color'])) {
							$current_button = $_POST['editor']['settings']['button_color'];
						}
						elseif (isset($game['button_color'])) {
							$current_button = $game['button_color'];
						}
						else {
							$current_button = '';
						}
				?>
				<div><span class="input_with_button">
					<input class="color {required:false}" type="text" name="editor[settings][button_color]" id="editor[settings][button_color]" value="<?php echo $current_button; ?>" />
					<input class="" type="submit" class="" id="change_button_color" name="change_button_color" value="<?php echo localize('SAVE')?>" />
				</span></div>
				<?php	if (isset($editor_form_errors['editor']['settings']['button_color'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['button_color']; ?></p>
				<?php endif; ?>
			</form>
			<br />
			
			<form id="button_hover_color_form" class="admin_form small_input narrow_form" method="post" action="">
				<label for="editor[settings][button_hover_color]"><?php echo localize('ADMIN_EDITOR_BUTTON_HOVER_COLOR')?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_BUTTON_HOVER_COLOR')); ?>" rel="tooltip">i</abbr></div></label>
				<?php if (isset($_POST['editor']['settings']['button_hover_color']) && !empty($_POST['editor']['settings']['button_hover_color'])) {
							$current_button_hover = $_POST['editor']['settings']['button_hover_color'];
						}
						elseif (isset($game['button_hover_color'])) {
							$current_button_hover = $game['button_hover_color'];
						}
						else {
							$current_button_hover = '';
						}
				?>
				<div><span class="input_with_button">
					<input class="color {required:false}" type="text" name="editor[settings][button_hover_color]" id="editor[settings][button_hover_color]" value="<?php echo $current_button_hover; ?>" />
					<input class="" type="submit" class="" id="change_button_hover_color" name="change_button_hover_color" value="<?php echo localize('SAVE')?>" />
				</span></div>
				<?php	if (isset($editor_form_errors['editor']['settings']['button_hover_color'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['button_hover_color']; ?></p>
				<?php endif; ?>
			</form>
			<br />
			
			<form id="image_folder_form" class="admin_form small_input narrow_form" method="post" action="">
				<label for="editor[settings][image_folder]"><?php echo localize('ADMIN_EDITOR_IMAGE_FOLDER')?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_IMAGE_FOLDER')); ?>" rel="tooltip">i</abbr></div></label>
				<div><span class="input_with_button">
					<input class="" type="text" name="editor[settings][image_folder]" id="editor[settings][image_folder]" value="<?php echo $current_image_folder; ?>" />
					<input class="" type="submit" class="" id="change_image_folder" name="change_image_folder" value="<?php echo localize('SAVE')?>" />
				</span></div>
				<?php	if (isset($editor_form_errors['editor']['settings']['image_folder'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['image_folder']; ?></p>
				<?php endif; ?>
			</form>
			<br />
			
			<form id="logo_form" class="admin_form small_input narrow_form" method="post" enctype="multipart/form-data">
				<label for="editor[settings][logo]"><?php echo localize('ADMIN_EDITOR_LOGO')?>:<div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_LOGO')); ?>" rel="tooltip">i</abbr></div></label>
				<?php $custom_logo = '';
						if (isset($game['logo']) && !empty($game['logo'])) {
							$custom_logo = $game['logo'];
						}
				?>
				<?php $config = Config::getInstance(); ?>
				<div><span class="input_with_button">
					<input class="" type="text" name="editor[settings][logo_text]" id="editor[settings][logo_text]" value="<?php echo $custom_logo; ?>" disabled="disabled" />
					<input type="hidden" name="editor[settings][logo_text_hidden]" id="editor[settings][logo_text_hidden]" value="<?php echo $custom_logo; ?>" />
					<?php if (!empty($custom_logo)) : ?><button id="admin_editor_remove_logo"><?php echo localize('CLEAR'); ?></button><?php endif; ?>
					<input class="" type="submit" class="" id="change_logo" name="change_logo" value="<?php echo localize('SAVE')?>" />
				</span></div>
				<input class="" type="file" name="editor[settings][logo]" id="editor[settings][logo]" value="<?php if(isset($_POST['editor']['settings']['logo'])) echo $_POST['editor']['settings']['logo']; ?>" />
				<?php	if (isset($editor_form_errors['editor']['settings']['logo'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['logo']; ?></p>
				<?php endif; ?>
			</form>
			<div id="game_logo_preview">
				<img src="<?php if (!empty($custom_logo)) : echo($config->baseurl . $current_image_folder . $custom_logo); else : echo('../img/app_logo.png'); endif; ?>" alt="<?php echo localize('ADMIN_EDITOR_LOGO')?>" />
			</div>
			<br />
			
			<form id="slug_form" class="admin_form small_input narrow_form" method="post" action="">
				<label for="editor[settings][slug]"><?php echo localize('ADMIN_EDITOR_GAME_SLUG')?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_GAME_SLUG')); ?>" rel="tooltip">i</abbr></div></label>
				<?php $slug = '';
						if (isset($_POST['editor']['settings']['slug'])) {
							$slug = $_POST['editor']['settings']['slug'];
						}
						elseif (isset($game['slug'])) {
							$slug = $game['slug'];
						}
				?>
				<div><span class="input_with_button">
					<span class="admin_editor_game_url"><?php echo formatAppLink($config->baseurl . 'app/index.php?game_slug=' );//echo($config->baseurl . 'game/ '); ?></span><input class="" type="text" name="editor[settings][slug]" id="editor[settings][slug]" value="<?php echo $slug; ?>" />
					<input class="" type="submit" class="" id="change_slug" name="change_slug" value="<?php echo localize('SAVE')?>" />
				</span></div>
				<?php	if (isset($editor_form_errors['editor']['settings']['slug'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['slug']; ?></p>
				<?php endif; ?>
			</form>
			<br />
			
			<?php global $super_admin_id; ?>
		<?php if (isset($_SESSION['user']['user_id']) && $_SESSION['user']['user_id'] == $super_admin_id) : ?>
			<input type="submit" class="right" id="delete_game" name="delete_game" value="<?php echo localize('ADMIN_EDITOR_DELETE_GAME')?>" />
			<br />
			<br />
		</div>
		
		<div id="delete_game_modal" class="jqmDialog jqmdWide">
			<a href="#" class="jqmClose" id="delete_game_modal_close"><?php echo localize('CLOSE'); ?></a>
			<!--<div class="jqmdTL"><div class="jqmdTR"><div class="jqmdTC">Modal Dialog</div></div></div>  -->
			<div class="jqmdBL"><div class="jqmdBR"><div class="jqmdBC">

			<div class="jqmdMSG">
				<br />
				<br />
				<div class="centered largeText">
					<?php echo localize('ADMIN_EDITOR_CONFIRM_DELETE_GAME_PT1')?>
					<p><?php echo localize('ADMIN_EDITOR_CONFIRM_DELETE_GAME_PT2')?></p>
				</div>
				
				<form id="delete_game_form" class="admin_form" method="post" action="">
					<input type="hidden" id="admin[delete_game][game_id]" name="admin[delete_game][game_id]" value="<?php echo $_SESSION['admin']['game']['game_id']; ?>" />
				<div class="centered buttons">
					<input type="submit" class="" id="delete_game_modal_yes_button" name="delete_game_modal_yes_button" value="<?php echo localize("YES"); ?>" />
					<input type="submit" class="jqmClose" id="delete_game_modal_no_button" name="delete_game_modal_no_button" value="<?php echo localize("NO"); ?>" />
				</div>
				</form>
			</div>

			</div></div></div>

		</div>
		<?php endif; ?>
		
		<div class="jqmWindow" id="user_list_modal">
			<a href="#" class="jqmClose" id="user_list_modal_close"><?php echo localize('CLOSE'); ?></a>
			<h2><?php echo localize('ADMIN_EDITOR_USER_LIST')?></h2>
			<div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_USER_LIST')); ?>" rel="tooltip">i</abbr></div>
			<?php	if (isset($editor_form_errors['editor']['settings']['user_list'])) : ?>
			<p class="error"><?php echo $editor_form_errors['editor']['settings']['user_list']; ?></p>
			<?php endif; ?>
			<form id="user_list_form" class="admin_form" method="post" action="">
				<table class="user_list_table">
				<thead class="user_list_table_header">
					<tr>
						<th id="user_list_user_theader"><?php echo localize('ADMIN_EDITOR_USER_LIST_USER')?></th>
						<th id="user_list_admin_theader"><?php echo localize('ADMIN_EDITOR_USER_LIST_ADMIN')?></th>
					</tr>
				</thead>
				<tbody class="user_list_table_body">
				<?php if (isset($game['main_admin_id'])) :
							$main_admin = $db->getUser($game['main_admin_id'])	;	
				?>
					<tr>
						<td><?php echo $main_admin['username']; ?></td>
						<td><input type="checkbox" name="user_list_admins[]" value="<?php echo $main_admin['user_id']; ?>"<?php if (isset($_POST['user_list_admins'])) : if (in_array($main_admin['user_id'], $_POST['user_list_admins'])) : ?> checked="checked" <?php endif; ?><?php elseif (in_array($main_admin['user_id'], $admins)) : ?> checked="checked" <?php endif; ?> /></td>
					</tr>
				<?php endif; ?>
				<?php $users = array(); ?>
				<?php $admins = array(); ?>
				<?php $game_id = 0; ?>
				<?php if (isset($game['game_id'])) { $game_id = $game['game_id']; } ?>
				<?php $users = $db->getAllUsers($game_id); ?>
				<?php $admins = $db->getAdminIDs($game_id); ?>
				<?php foreach ($users as $user) : ?>
					<?php if ($user['user_id'] != $game['main_admin_id']) : ?>
					<tr>
						<td><?php echo $user['username']; ?></td>
						<td><input type="checkbox" name="user_list_admins[]" value="<?php echo $user['user_id']; ?>"<?php if (isset($_POST['user_list_admins'])) : if (in_array($user['user_id'], $_POST['user_list_admins'])) : ?> checked="checked" <?php endif; ?><?php elseif (in_array($user['user_id'], $admins)) : ?> checked="checked" <?php endif; ?> /></td>
					</tr>
					<?php endif; ?>
				<?php endforeach; ?>
				</tbody>
				</table>
				<hr />
				<input class="" type="submit" class="" id="change_admins" name="change_admins" value="<?php echo localize('SAVE')?>" />
			</form>
		</div>
		
		<div class="jqmWindow" id="game_texts_modal">
			<a href="#" class="jqmClose" id="game_texts_modal_close"><?php echo localize('CLOSE'); ?></a>
			<?php // Get game texts from db and define which translation to use
				$game_texts = $db->getGameTexts($game_id);
				$default_lang_texts = array();
				$current_lang_texts = array();
				global $language;
				$current_lang = $language;
				if (isset($_POST['game_text_translation_lang'])) {
					$current_lang = $_POST['game_text_translation_lang'];
				}
				elseif (isset($_SESSION['lang'])) {
					$current_lang = $_SESSION['lang'];
				}
				
				$translations = array();
				// Loop through texts array and find correct translations
				foreach ($game_texts as $trans) {
					if ($trans['language_code'] == $current_lang) {
						$current_lang_texts = $trans;
					}
					if ($trans['is_default'] == 1) {
						$default_lang_texts = $trans;
					}
					$translations[] = $trans['language_code'];
				}
				$text = array();
				// If translation for current language is found use that. Otherwise use default one
				if (!empty($current_lang_texts)) {
					$text = $current_lang_texts;
				}
				else {
					$text = $default_lang_texts;
				}
			?>
			<h2><?php echo localize('ADMIN_EDITOR_GAME_TEXTS')?></h2>
			<div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_GAME_TEXTS')); ?>" rel="tooltip">i</abbr></div>
			<?php if (isset($_POST['notifications']['game_texts']['updated']) || isset($_POST['notifications']['game_texts']['translation_added'])) :
						if ($_POST['notifications']['game_texts']['translation_added']) : ?>
			<p class="notification">
			<?php 		echo localize('ADMIN_INDEX_NOTIFICATION_NEW_TEXT_TRANSLATION_ADDED'); ?>
			</p>
			<?php 	elseif ($_POST['notifications']['game_texts']['updated']) : ?>
			<p class="notification">
			<?php 		echo localize('ADMIN_INDEX_NOTIFICATION_GAME_TEXTS_UPDATED'); ?>
			</p>
			<?php 	elseif (!$_POST['notifications']['game_texts']['translation_added']) : ?>
			<p class="error">
			<?php			echo localize('ERROR_ADD_TEXT_TRANSLATION'); ?>
			</p>
			<?php 	elseif (!$_POST['notifications']['game_texts']['updated']) : ?>
			<p class="error">
			<?php			echo localize('ERROR_UPDATE_TEXT_TRANSLATION'); ?>
			</p>
			<?php 	endif; ?>
			<?php endif; ?>
			
			<form id="game_texts" class="admin_form" method="post" action="">
				<h2><?php echo localize('TEXTS'); ?></h2>
				<?php	if (isset($editor_form_errors['admin']['settings']['texts'])) : ?>
				<p class="error"><?php echo $editor_form_errors['admin']['settings']['texts']; ?></p>
				<?php endif; ?>

				<label for="admin[settings][texts][translations]"><?php echo localize('ADMIN_EDITOR_CARD_TRANSLATIONS')?>:</label>
				<div><span class="input_with_button">
					<select class="" name="admin[settings][texts][translations]" id="admin[settings][texts][translations]">
				<?php foreach($translations as $trans): ?>
				<?php 	if(isset($_POST['admin']['settings']['texts']['translations'])): ?>
							<option value="<?php echo $trans; ?>"<?php if($_POST['admin']['settings']['texts']['translations'] == $trans) echo ' selected="selected"'; ?>><?php echo $trans; ?></option>
				<?php 	else: ?>
							<!--<option value="<?php //echo $trans; ?>"<?php //if(localize('lang') == $trans) echo ' selected="selected"'; ?>><?php //echo $trans; ?></option>-->
							<option value="<?php echo $trans; ?>"<?php if(isset($current_lang_texts['language_code']) && $current_lang_texts['language_code'] == $trans) { echo ' selected="selected"'; } ?>><?php echo $trans; ?></option>
				<?php 	endif; ?>			
				<?php endforeach; ?>
					</select>
							
					<input class="" type="submit" class="" id="admin_editor_form_texts_select_translation" name="admin_editor_form_texts_select_translation" value="<?php echo localize('SWITCH')?>" />
				</span></div>
				<br />
				
				<label for="admin[settings][texts][add_translation]"><?php echo localize('ADMIN_EDITOR_CARD_ADD_TRANSLATION')?>: </label>
				<div><span class="input_with_button">
					<select class="" name="admin[settings][texts][add_translation]" id="admin[settings][texts][add_translation]">
						<option value="" selected="selected" disabled="disabled"><?php echo localize('SELECT'); ?></option>
					<?php $translation_counter = 0; ?>
					<?php global $languages; ?>
					<?php foreach($languages as $lang): ?>
						<option value="<?php echo $lang; ?>"<?php if(in_array($lang, $translations)) { $translation_counter++; echo ' disabled="disabled"'; } ?>><?php echo $lang; ?></option>
					<?php endforeach; ?>
					</select>
					<input type="submit" class="" id="admin_editor_form_texts_add_translation" name="admin_editor_form_texts_add_translation" value="<?php echo localize('OK')?>"<?php if (count($languages) == ($translation_counter)) echo ' disabled="disabled"'; ?>/>
				</span></div>
				<br />
				
				<input type="hidden" name="admin[settings][texts][current_translation]" value="<?php if (!empty($current_lang_texts)) { echo $current_lang; } else { echo $default_lang_texts['language_code']; } ?>" />
				
				<label for="admin[settings][texts][welcome]"><?php echo(localize('MAIN_HEADING') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][welcome]" id="admin[settings][texts][welcome]"><?php if (isset($index_form_errors['admin']['settings']['texts'])) { if(isset($_POST['admin']['settings']['texts']['welcome'])) echo $_POST['admin']['settings']['texts']['welcome']; } else { if (isset($text['welcome'])) echo $text['welcome']; } ?></textarea>
				<label for="admin[settings][texts][front_up]"><?php echo(localize('FRONT_PAGE') . ' ' . localize('UPSIDE') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][front_up]" id="admin[settings][texts][front_up]"><?php if (isset($index_form_errors['admin']['settings']['texts'])) { if(isset($_POST['admin']['settings']['texts']['front_up'])) echo $_POST['admin']['settings']['texts']['front_up']; } else { if (isset($text['front_up'])) echo $text['front_up']; } ?></textarea>
				<label for="admin[settings][texts][front_down]"><?php echo(localize('FRONT_PAGE') . ' ' . localize('DOWNSIDE') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][front_down]" id="admin[settings][texts][front_down]"><?php if (isset($index_form_errors['admin']['settings']['texts'])) { if(isset($_POST['admin']['settings']['texts']['front_down'])) echo $_POST['admin']['settings']['texts']['front_down']; } else { if (isset($text['front_down'])) echo $text['front_down']; } ?></textarea>
				<label for="admin[settings][texts][registration_up]"><?php echo(localize('REGISTRATION_PAGE') . ' ' . localize('UPSIDE') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][registration_up]" id="admin[settings][texts][registration_up]"><?php if (isset($index_form_errors['admin']['settings']['texts'])) { if(isset($_POST['admin']['settings']['texts']['registration_up'])) echo $_POST['admin']['settings']['texts']['registration_up']; } else { if (isset($text['registration_up'])) echo $text['registration_up']; } ?></textarea>
				<label for="admin[settings][texts][registration_down]"><?php echo(localize('REGISTRATION_PAGE') . ' ' . localize('DOWNSIDE') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][registration_down]" id="admin[settings][texts][registration_down]"><?php if (isset($index_form_errors['admin']['settings']['texts'])) { if(isset($_POST['admin']['settings']['texts']['registration_down'])) echo $_POST['admin']['settings']['texts']['registration_down']; } else { if (isset($text['registration_down'])) echo $text['registration_down']; } ?></textarea>
				<label for="admin[settings][texts][login_up]"><?php echo(localize('LOGIN_PAGE') . ' ' . localize('UPSIDE') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][login_up]" id="admin[settings][texts][login_up]"><?php if (isset($index_form_errors['admin']['settings']['texts'])) { if(isset($_POST['admin']['settings']['texts']['login_up'])) echo $_POST['admin']['settings']['texts']['login_up']; } else { if (isset($text['login_up'])) echo $text['login_up']; } ?></textarea>
				<label for="admin[settings][texts][login_down]"><?php echo(localize('LOGIN_PAGE') . ' ' . localize('DOWNSIDE') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][login_down]" id="admin[settings][texts][login_down]"><?php if (isset($index_form_errors['admin']['settings']['texts'])) { if(isset($_POST['admin']['settings']['texts']['login_down'])) echo $_POST['admin']['settings']['texts']['login_down']; } else { if (isset($text['login_down'])) echo $text['login_down']; } ?></textarea>
				<label for="admin[settings][texts][new_up]"><?php echo(localize('NEW_SIMULATION_PAGE') . ' ' . localize('UPSIDE') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][new_up]" id="admin[settings][texts][new_up]"><?php if (isset($index_form_errors['admin']['settings']['texts'])) { if(isset($_POST['admin']['settings']['texts']['new_up'])) echo $_POST['admin']['settings']['texts']['new_up']; } else { if (isset($text['new_up'])) echo $text['new_up']; } ?></textarea>
				<label for="admin[settings][texts][new_down]"><?php echo(localize('NEW_SIMULATION_PAGE') . ' ' . localize('DOWNSIDE') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][new_down]" id="admin[settings][texts][new_down]"><?php if (isset($index_form_errors['admin']['settings']['texts'])) { if(isset($_POST['admin']['settings']['texts']['new_down'])) echo $_POST['admin']['settings']['texts']['new_down']; } else { if (isset($text['new_down'])) echo $text['new_down']; } ?></textarea>
				<label for="admin[settings][texts][open_up]"><?php echo(localize('OPEN_SIMULATION_PAGE') . ' ' . localize('UPSIDE') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][open_up]" id="admin[settings][texts][open_up]"><?php if (isset($index_form_errors['admin']['settings']['texts'])) { if(isset($_POST['admin']['settings']['texts']['open_up'])) echo $_POST['admin']['settings']['texts']['open_up']; } else { if (isset($text['open_up'])) echo $text['open_up']; } ?></textarea>
				<label for="admin[settings][texts][open_down]"><?php echo(localize('OPEN_SIMULATION_PAGE') . ' ' . localize('DOWNSIDE') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][open_down]" id="admin[settings][texts][open_down]"><?php if (isset($index_form_errors['admin']['settings']['texts'])) { if(isset($_POST['admin']['settings']['texts']['open_down'])) echo $_POST['admin']['settings']['texts']['open_down']; } else { if (isset($text['open_down'])) echo $text['open_down']; } ?></textarea>
				<label for="admin[settings][texts][continue_up]"><?php echo(localize('CONTINUE_SIMULATION_PAGE') . ' ' . localize('UPSIDE') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][continue_up]" id="admin[settings][texts][continue_up]"><?php if (isset($index_form_errors['admin']['settings']['texts'])) { if(isset($_POST['admin']['settings']['texts']['continue_up'])) echo $_POST['admin']['settings']['texts']['continue_up']; } else { if (isset($text['continue_up'])) echo $text['continue_up']; } ?></textarea>
				<label for="admin[settings][texts][continue_down]"><?php echo(localize('CONTINUE_SIMULATION_PAGE') . ' ' . localize('DOWNSIDE') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][continue_down]" id="admin[settings][texts][continue_down]"><?php if (isset($index_form_errors['admin']['settings']['texts'])) { if(isset($_POST['admin']['settings']['texts']['continue_down'])) echo $_POST['admin']['settings']['texts']['continue_down']; } else { if (isset($text['continue_down'])) echo $text['continue_down']; } ?></textarea>
				<label for="admin[settings][texts][loading]"><?php echo(localize('LOADING_TEXT_DESCRIPTION') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][loading]" id="admin[settings][texts][loading]"><?php if (isset($index_form_errors['admin']['settings']['texts'])) { if(isset($_POST['admin']['settings']['texts']['loading'])) echo $_POST['admin']['settings']['texts']['loading']; } else { if (isset($text['loading'])) echo $text['loading']; } ?></textarea>
				<label for="admin[settings][texts][your_life]"><?php echo(localize('YOUR_LIFE_DESCRIPTION') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][your_life]" id="admin[settings][texts][your_life]"><?php if (isset($index_form_errors['admin']['settings']['your_life'])) { if(isset($_POST['admin']['settings']['texts']['your_life'])) echo $_POST['admin']['settings']['texts']['your_life']; } else { if (isset($text['your_life'])) echo $text['your_life']; } ?></textarea>
				<label for="admin[settings][texts][menu]"><?php echo(localize('MENU_DESCRIPTION') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][menu]" id="admin[settings][texts][menu]"><?php if (isset($index_form_errors['admin']['settings']['menu'])) { if(isset($_POST['admin']['settings']['texts']['menu'])) echo $_POST['admin']['settings']['texts']['menu']; } else { if (isset($text['menu'])) echo $text['menu']; } ?></textarea>
				<label for="admin[settings][texts][selection]"><?php echo(localize('SELECTION_DESCRIPTION') . ':'); ?></label>
				<textarea class="" name="admin[settings][texts][selection]" id="admin[settings][texts][selection]"><?php if (isset($index_form_errors['admin']['settings']['selection'])) { if(isset($_POST['admin']['settings']['texts']['selection'])) echo $_POST['admin']['settings']['texts']['selection']; } else { if (isset($text['selection'])) echo $text['selection']; } ?></textarea>
				<br />
				<label for="admin[settings][texts][default_lang]"><?php echo localize('ADMIN_EDITOR_CARD_DEFAULT_LANGUAGE')?>:</label>
				<select class="" name="admin[settings][texts][default_lang]" id="new_card[default_lang]">
				<?php foreach($translations as $lang): ?>
				<?php 	if(isset($_POST['admin']['settings']['texts']['default_lang'])): ?>
					<option value="<?php echo $lang; ?>"<?php if($_POST['admin']['settings']['texts']['default_lang'] == $lang) echo ' selected="selected"'; ?>><?php echo $lang; ?></option>
				<?php 	else: ?>
					<option value="<?php echo $lang; ?>"<?php if(isset($default_lang_texts['language_code']) && $default_lang_texts['language_code'] == $lang) { echo ' selected="selected"'; } ?>><?php echo $lang; ?></option>
				<?php 	endif; ?>			
				<?php endforeach; ?>
				<?php unset($lang); ?>
				</select>
				<hr />
				<input type="submit" class="" name="admin_editor_form_update_texts" value="<?php echo localize('SAVE'); ?>" />
				<br />
			</form>
			<br />
		</div>
		
		
		<div class="jqmWindow" id="visible_stats_modal">
			<a href="#" class="jqmClose" id="visible_stats_modal_close"><?php echo localize('CLOSE'); ?></a>
			<h2><?php echo localize('ADMIN_EDITOR_VISIBLE_STATS')?></h2>
			<div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_VISIBLE_STATS')); ?>" rel="tooltip">i</abbr></div>
			
			<form id="visible_stats_form" class="admin_form" method="post" action="">				
				<?php $available_stats = $db->getAllStats($game['game_id']);
						$visible_stats_string = '';
				?>
				<div class="left">
					<h3><?php echo(localize('ADMIN_EDITOR_SELECTED_STATS')); ?>: </h3>
					<ul id="selected_stats">
				<?php if (empty($game['visible_stats'])) { ?>
						<li class="placeholder"><?php echo(localize("ADMIN_EDITOR_VISIBLE_STATS_PLACEHOLDER")); ?></li>
				<?php } else { ?>
						<li class="placeholder" style="display:none;"><?php echo(localize("ADMIN_EDITOR_VISIBLE_STATS_PLACEHOLDER")); ?></li>
				<?php			foreach ($game['visible_stats'] as $stat) {
								
								$index = array_search('@' . $stat, $available_stats);
								if ($index !== false) {
									echo('<li class="ui-state-default" id="stat_' . ($index+1) . '">' . $stat . '<span class="remove_visible_stat">X</span></li>' . PHP_EOL);
									$visible_stats_string .= '@' . $stat . ' ';
								}
							}
							unset($stat);
							$visible_stats_string = trim($visible_stats_string);
						}
				?>
					</ul>
				</div>
				<div class="right">
					<h3><?php echo(localize('ADMIN_EDITOR_AVAILABLE_STATS')); ?>: </h3>
					<ul id="available_stats">
				<?php 
						$stat_counter = 1;
						
						foreach ($available_stats as $stat) {
							
							echo('<li id="stat_' . $stat_counter . '"');
							if (in_array(substr($stat, 1), $game['visible_stats'])) {
								echo(' style="display: none;"');
							}
							echo('>' . substr($stat, 1) . '</li>' . PHP_EOL);
							$stat_counter++;
						}
						unset($stat);
				?>
					</ul>
				</div>
				<div class="clear"></div>
				<input type="hidden" id="editor[settings][visible_stats]" name="editor[settings][visible_stats]" value="<?php echo $visible_stats_string; ?>"/>
				<hr />
				<input class="" type="submit" class="" id="change_visible_stats" name="change_visible_stats" value="<?php echo localize('SAVE')?>" />
			</form>
		</div>
		
		
		<div class="jqmWindow" id="game_settings_modal">
			<a href="#" class="jqmClose" id="game_settings_modal_close"><?php echo localize('CLOSE'); ?></a>
			<h2><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS')?></h2>
			<div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_GAME_SETTINGS')); ?>" rel="tooltip">i</abbr></div>
			<form id="game_settings_form" class="admin_form small_input" method="post" action="">
				
				<label for="editor[settings][tags]"><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_USE_TAGS')?></label>
				<input class="radiobutton" type="radio" name="editor[settings][tags]" value="1"
				<?php if (isset($_POST['editor']['settings']['tags'])) {
							if ($_POST['editor']['settings']['tags']) { echo 'checked="checked"'; }
						} elseif (isset($game['use_tags'])) {
							if ($game['use_tags']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('YES'); ?>
				<input class="radiobutton" type="radio" name="editor[settings][tags]" value="0"
				<?php if (isset($_POST['editor']['settings']['tags'])) {
							if (!$_POST['editor']['settings']['tags']) { echo 'checked="checked"'; }
						} elseif (isset($game['use_tags'])) {
							if (!$game['use_tags']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('NO'); ?>
				<?php	if (isset($editor_form_errors['editor']['settings']['tags'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['tags']; ?></p>
				<?php else: ?>
				<br />
				<?php endif; ?>
				
				<label for="editor[settings][stats]"><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_USE_STATS')?></label>
				<input class="radiobutton" type="radio" name="editor[settings][stats]" value="1"
				<?php if (isset($_POST['editor']['settings']['stats'])) {
							if ($_POST['editor']['settings']['stats']) { echo 'checked="checked"'; }
						} elseif (isset($game['use_stats'])) {
							if ($game['use_stats']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('YES'); ?>
				<input class="radiobutton" type="radio" name="editor[settings][stats]" value="0"
				<?php if (isset($_POST['editor']['settings']['stats'])) {
							if (!$_POST['editor']['settings']['stats']) { echo 'checked="checked"'; }
						} elseif (isset($game['use_stats'])) {
							if (!$game['use_stats']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('NO'); ?>
				<?php	if (isset($editor_form_errors['editor']['settings']['stats'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['stats']; ?></p>
				<?php else: ?>
				<br />
				<?php endif; ?>
				
				<label for="editor[settings][expert_advice]"><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_USE_EXPERT_ADVICE')?></label>
				<input class="radiobutton" type="radio" name="editor[settings][expert_advice]" value="1"
				<?php if (isset($_POST['editor']['settings']['expert_advice'])) {
							if ($_POST['editor']['settings']['expert_advice']) { echo 'checked="checked"'; }
						} elseif (isset($game['use_expert_advice'])) {
							if ($game['use_expert_advice']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('YES'); ?>
				<input class="radiobutton" type="radio" name="editor[settings][expert_advice]" value="0"
				<?php if (isset($_POST['editor']['settings']['expert_advice'])) {
							if (!$_POST['editor']['settings']['expert_advice']) { echo 'checked="checked"'; }
						} elseif (isset($game['use_expert_advice'])) {
							if (!$game['use_expert_advice']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('NO'); ?>
				<?php	if (isset($editor_form_errors['editor']['settings']['expert_advice'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['expert_advice']; ?></p>
				<?php else: ?>
				<br />
				<?php endif; ?>
				
				<label for="editor[settings][sudden_scenarios]"><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_USE_SUDDEN_SCENARIOS')?></label>
				<input class="radiobutton" type="radio" name="editor[settings][sudden_scenarios]" value="1"
				<?php if (isset($_POST['editor']['settings']['sudden_scenarios'])) {
							if ($_POST['editor']['settings']['sudden_scenarios']) { echo 'checked="checked"'; }
						} elseif (isset($game['use_sudden_scenarios'])) {
							if ($game['use_sudden_scenarios']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('YES'); ?>
				<input class="radiobutton" type="radio" name="editor[settings][sudden_scenarios]" value="0"
				<?php if (isset($_POST['editor']['settings']['sudden_scenarios'])) {
							if (!$_POST['editor']['settings']['sudden_scenarios']) { echo 'checked="checked"'; }
						} elseif (isset($game['use_sudden_scenarios'])) {
							if (!$game['use_sudden_scenarios']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('NO'); ?>
				<?php	if (isset($editor_form_errors['editor']['settings']['sudden_scenarios'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['sudden_scenarios']; ?></p>
				<?php else: ?>
				<br />
				<?php endif; ?>
				
				<label for="editor[settings][ending_criteria]"><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_USE_ENDING_CRITERIA')?></label>
				<input class="radiobutton" type="radio" name="editor[settings][ending_criteria]" value="1"
				<?php if (isset($_POST['editor']['settings']['ending_criteria'])) {
							if ($_POST['editor']['settings']['ending_criteria']) { echo 'checked="checked"'; }
						} elseif (isset($game['use_ending_criteria'])) {
							if ($game['use_ending_criteria']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('YES'); ?>
				<input class="radiobutton" type="radio" name="editor[settings][ending_criteria]" value="0"
				<?php if (isset($_POST['editor']['settings']['ending_criteria'])) {
							if (!$_POST['editor']['settings']['ending_criteria']) { echo 'checked="checked"'; }
						} elseif (isset($game['use_ending_criteria'])) {
							if (!$game['use_ending_criteria']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('NO'); ?>
				<?php	if (isset($editor_form_errors['editor']['settings']['ending_criteria'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['ending_criteria']; ?></p>
				<?php else: ?>
				<br />
				<?php endif; ?>
				
				<label for="editor[settings][use_login]"><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_USE_LOGIN')?></label>
				<input class="radiobutton" type="radio" name="editor[settings][use_login]" value="1"
				<?php if (isset($_POST['editor']['settings']['use_login'])) {
							if ($_POST['editor']['settings']['use_login']) { echo 'checked="checked"'; }
						} elseif (isset($game['use_login'])) {
							if ($game['use_login']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('YES'); ?>
				<input class="radiobutton" type="radio" name="editor[settings][use_login]" value="0"
				<?php if (isset($_POST['editor']['settings']['use_login'])) {
							if (!$_POST['editor']['settings']['use_login']) { echo 'checked="checked"'; }
						} elseif (isset($game['use_login'])) {
							if (!$game['use_login']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('NO'); ?>
				<?php	if (isset($editor_form_errors['editor']['settings']['use_login'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['use_login']; ?></p>
				<?php else: ?>
				<br />
				<?php endif; ?>
				
				<label for="editor[settings][use_name]"><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_USE_NAME')?></label>
				<input class="radiobutton" type="radio" name="editor[settings][use_name]" value="1"
				<?php if (isset($_POST['editor']['settings']['use_name'])) {
							if ($_POST['editor']['settings']['use_name']) { echo 'checked="checked"'; }
						} elseif (isset($game['use_name'])) {
							if ($game['use_name']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('YES'); ?>
				<input class="radiobutton" type="radio" name="editor[settings][use_name]" value="0"
				<?php if (isset($_POST['editor']['settings']['use_name'])) {
							if (!$_POST['editor']['settings']['use_name']) { echo 'checked="checked"'; }
						} elseif (isset($game['use_name'])) {
							if (!$game['use_name']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('NO'); ?>
				<?php	if (isset($editor_form_errors['editor']['settings']['use_name'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['use_name']; ?></p>
				<?php else: ?>
				<br />
				<?php endif; ?>
				
				<label for="editor[settings][multiple_languages]"><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_MULTIPLE_LANGUAGES')?></label>
				<input class="radiobutton" type="radio" name="editor[settings][multiple_languages]" value="1"
				<?php if (isset($_POST['editor']['settings']['multiple_languages'])) {
							if ($_POST['editor']['settings']['multiple_languages']) { echo 'checked="checked"'; }
						} elseif (isset($game['multiple_languages'])) {
							if ($game['multiple_languages']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('YES'); ?>
				<input class="radiobutton" type="radio" name="editor[settings][multiple_languages]" value="0"
				<?php if (isset($_POST['editor']['settings']['multiple_languages'])) {
							if (!$_POST['editor']['settings']['multiple_languages']) { echo 'checked="checked"'; }
						} elseif (isset($game['multiple_languages'])) {
							if (!$game['multiple_languages']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('NO'); ?>
				<?php	if (isset($editor_form_errors['editor']['settings']['multiple_languages'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['multiple_languages']; ?></p>
				<?php else: ?>
				<br />
				<?php endif; ?>
				
				<label for="editor[settings][show_cards_ending]"><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_SHOW_CARDS_ENDING')?></label>
				<input class="radiobutton" type="radio" name="editor[settings][show_cards_ending]" value="1"
				<?php if (isset($_POST['editor']['settings']['show_cards_ending'])) {
							if ($_POST['editor']['settings']['show_cards_ending']) { echo 'checked="checked"'; }
						} elseif (isset($game['show_cards_ending'])) {
							if ($game['show_cards_ending']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('YES'); ?>
				<input class="radiobutton" type="radio" name="editor[settings][show_cards_ending]" value="0"
				<?php if (isset($_POST['editor']['settings']['show_cards_ending'])) {
							if (!$_POST['editor']['settings']['show_cards_ending']) { echo 'checked="checked"'; }
						} elseif (isset($game['show_cards_ending'])) {
							if (!$game['show_cards_ending']) { echo 'checked="checked"'; }
						}
				?> /><?php echo localize('NO'); ?>
				<?php	if (isset($editor_form_errors['editor']['settings']['show_cards_ending'])) : ?>
				<p class="error"><?php echo $editor_form_errors['editor']['settings']['show_cards_ending']; ?></p>
				<?php else: ?>
				<br />
				<?php endif; ?>
				<hr />
				<?php $db = DB::getInstance();
						$cards = $db->getAllCards($_SESSION['admin']['game']['game_id'], 'en-US');
				?>
				<h3><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_STARTING_CARD'); ?></h3>
				<div class="game_settings_intended">
					<input class="" type="text" name="editor[settings][starting_card]" id="editor[settings][starting_card]"
						value="<?php if(isset($_POST['editor']['settings']['starting_card']))  {
								echo $_POST['editor']['settings']['starting_card'];
							}
							elseif (isset($game['starting_card_id'])) {
								
								echo $game['starting_card_id'];
								
							} ?>" />
					<?php	if (isset($editor_form_errors['editor']['settings']['starting_card'])) : ?>
					<p class="error"><?php echo $editor_form_errors['editor']['settings']['starting_card']; ?></p>
					<?php endif; ?>
				</div>
				<hr />
				
				<?php if (isset($_POST['editor']['settings']['sudden_scenarios_definitions']) && !empty($_POST['editor']['settings']['sudden_scenarios_definitions'])) {
							$game_scenarios = $_POST['editor']['settings']['sudden_scenarios_definitions'];
						}
						elseif (isset($game['sudden_scenarios']) && !empty($game['sudden_scenarios'])) {
							$game_scenarios = $game['sudden_scenarios'];
						}
						else {
							$game_scenarios = array();
						}
				?>
				<h3><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_SUDDEN_SCENARIOS'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_SUDDEN_SCENARIOS')); ?>" rel="tooltip">i</abbr></div></h3>
				<div class="game_settings_intended" id="editor[settings][sudden_scenarios_definitions]">
				<?php $scen_counter = 0; ?>
				<?php do { ?>
					<label><?php echo($scen_counter+1 . '. ' . localize('ADMIN_EDITOR_GAME_SETTINGS_IF')); ?></label>
					<div class="game_settings_intended game_settings_option" id="editor[settings][sudden_scenarios_definitions][<?php echo $scen_counter; ?>][conditions]">
					<?php 	$condition_counter = 0; ?>
					<?php 	do { ?>
						<div id="editor[settings][sudden_scenarios_definitions][<?php echo $scen_counter; ?>][conditions][<?php echo $condition_counter; ?>]">
							<input class="autocomplete_stats" type="text" name="editor[settings][sudden_scenarios_definitions][<?php echo $scen_counter; ?>][conditions][<?php echo $condition_counter; ?>][condition_text]" id="editor[settings][sudden_scenarios_definitions][<?php echo $scen_counter; ?>][conditions][<?php echo $condition_counter; ?>][condition_text]"
								value="<?php if(isset($game_scenarios[$scen_counter]['conditions'][$condition_counter]['condition_text'])) echo $game_scenarios[$scen_counter]['conditions'][$condition_counter]['condition_text']; ?>" />
						<?php if (isset($game_scenarios[$scen_counter]['conditions'][$condition_counter]['condition_logic'])) : ?>
							<select class="admin_editor_settings_select_scenario_condition_logic" name="editor[settings][sudden_scenarios_definitions][<?php echo $scen_counter; ?>][conditions][<?php echo $condition_counter; ?>][condition_logic]" id="editor[settings][sudden_scenarios_definitions][<?php echo $scen_counter; ?>][conditions][<?php echo $condition_counter; ?>][condition_logic]" >
							<?php $condition_value = $game_scenarios[$scen_counter]['conditions'][$condition_counter]['condition_logic']; ?>	
								<option value="" <?php if ($condition_value == "") echo('selected="selected"');?> > </option>
								<option value="AND" <?php if ($condition_value == "AND") echo('selected="selected"');?> ><?php echo localize("AND"); ?></option>
								<option value="OR" <?php if ($condition_value == "OR") echo('selected="selected"');?> ><?php echo localize("OR"); ?></option>
							</select>
						<?php else : ?>
							<select class="admin_editor_settings_select_scenario_condition_logic" name="editor[settings][sudden_scenarios_definitions][<?php echo $scen_counter; ?>][conditions][<?php echo $condition_counter; ?>][condition_logic]" id="editor[settings][sudden_scenarios_definitions][<?php echo $scen_counter; ?>][conditions][<?php echo $condition_counter; ?>][condition_logic]" >
								<option value="" selected="selected"> </option>
								<option value="AND"><?php echo localize("AND"); ?></option>
								<option value="OR"><?php echo localize("OR"); ?></option>
							</select>
						<?php endif; ?>
						<?php	if (isset($editor_form_errors['editor']['settings']['sudden_scenarios_definitions'][$scen_counter]['conditions'][$condition_counter]['condition_text'])) : ?>
							<p class="error"><?php echo $editor_form_errors['editor']['settings']['sudden_scenarios_definitions'][$scen_counter]['conditions'][$condition_counter]['condition_text']; ?></p>
						<?php endif; ?>
						</div>	
					<?php 		$condition_counter++; ?>
					<?php 	} while (isset($game_scenarios[$scen_counter]['conditions'][$condition_counter]['condition_text'])); ?>
					</div>
					<div class="game_settings_intended">
					<?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_THEN'); ?>
						<input class="percent_input" type="text" name="editor[settings][sudden_scenarios_definitions][<?php echo $scen_counter; ?>][odds]" id="editor[settings][sudden_scenarios_definitions][<?php echo $scen_counter; ?>][odds]"
							value="<?php if (isset($game_scenarios[$scen_counter]['odds'])) echo $game_scenarios[$scen_counter]['odds']; ?>" />
					<?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_CHANGE_OF_DISPLAYING'); ?>
					<?php	if (isset($editor_form_errors['editor']['settings']['sudden_scenarios_definitions'][$scen_counter]['odds'])) : ?>
						<p class="error"><?php echo $editor_form_errors['editor']['settings']['sudden_scenarios_definitions'][$scen_counter]['odds']; ?></p>
					<?php endif; ?>
						<br /><input class="autocomplete_tags" type="text" name="editor[settings][sudden_scenarios_definitions][<?php echo $scen_counter; ?>][result]" id="editor[settings][sudden_scenarios_definitions][<?php echo $scen_counter; ?>][result]"
								value="<?php if (isset($game_scenarios[$scen_counter]['result'])) echo $game_scenarios[$scen_counter]['result']; ?>" />
					</div>
					<?php	if (isset($editor_form_errors['editor']['settings']['sudden_scenarios_definitions'][$scen_counter]['result'])) : ?>
					<p class="error"><?php echo $editor_form_errors['editor']['settings']['sudden_scenarios_definitions'][$scen_counter]['result']; ?></p>
					<?php endif; ?>
					
					<?php $scen_counter++; ?>
					<br />
				<?php } while (isset($game_scenarios[$scen_counter])); ?>
				</div>
				<button id="game_settings_add_new_scenario" name="game_settings_add_new_scenario"><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_ADD_NEW_SCENARIO')?></button>
				<hr />
				
				<?php if (isset($_POST['editor']['settings']['ending_criteria_definitions']) && !empty($_POST['editor']['settings']['ending_criteria_definitions'])) {
							$game_endings = $_POST['editor']['settings']['ending_criteria_definitions'];
						}
						elseif (isset($game['ending_criteria']) && !empty($game['ending_criteria'])) {
							$game_endings = $game['ending_criteria'];
						}
						else {
							$game_endings = array();
						}
				?>
				<h3><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_ENDING_CRITERIA'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_ENDING_CRITERIA')); ?>" rel="tooltip">i</abbr></div></h3>
				<div class="game_settings_intended" id="editor[settings][ending_criteria_definitions]">
				<?php $crit_counter = 0; ?>
				<?php do { ?>
					<label><?php echo($crit_counter+1 . '. ' . localize('ADMIN_EDITOR_GAME_SETTINGS_IF')); ?></label>
					<div class="game_settings_intended game_settings_option" id="editor[settings][ending_criteria_definitions][<?php echo $crit_counter; ?>][conditions]">
					<?php 	$condition_counter = 0; ?>
					<?php 	do { ?>
						<div id="editor[settings][ending_criteria_definitions][<?php echo $crit_counter; ?>][conditions][<?php echo $condition_counter; ?>]">
							<input class="autocomplete_stats" type="text" name="editor[settings][ending_criteria_definitions][<?php echo $crit_counter; ?>][conditions][<?php echo $condition_counter; ?>][condition_text]" id="editor[settings][ending_criteria_definitions][<?php echo $crit_counter; ?>][conditions][<?php echo $condition_counter; ?>][condition_text]"
								value="<?php if(isset($game_endings[$crit_counter]['conditions'][$condition_counter]['condition_text'])) echo $game_endings[$crit_counter]['conditions'][$condition_counter]['condition_text']; ?>" />
						<?php if (isset($game_endings[$crit_counter]['conditions'][$condition_counter]['condition_logic'])) : ?>
							<select class="admin_editor_settings_select_ending_condition_logic" name="editor[settings][ending_criteria_definitions][<?php echo $crit_counter; ?>][conditions][<?php echo $condition_counter; ?>][condition_logic]" id="editor[settings][ending_criteria_definitions][<?php echo $crit_counter; ?>][conditions][<?php echo $condition_counter; ?>][condition_logic]" >
							<?php $condition_value = $game_endings[$crit_counter]['conditions'][$condition_counter]['condition_logic']; ?>	
								<option value="" <?php if ($condition_value == "") echo('selected="selected"');?> > </option>
								<option value="AND" <?php if ($condition_value == "AND") echo('selected="selected"');?> ><?php echo localize("AND"); ?></option>
								<option value="OR" <?php if ($condition_value == "OR") echo('selected="selected"');?> ><?php echo localize("OR"); ?></option>
							</select>
						<?php else : ?>
							<select class="admin_editor_settings_select_ending_condition_logic" name="editor[settings][ending_criteria_definitions][<?php echo $crit_counter; ?>][conditions][<?php echo $condition_counter; ?>][condition_logic]" id="editor[settings][ending_criteria_definitions][<?php echo $crit_counter; ?>][conditions][<?php echo $condition_counter; ?>][condition_logic]" >
								<option value="" selected="selected"> </option>
								<option value="AND"><?php echo localize("AND"); ?></option>
								<option value="OR"><?php echo localize("OR"); ?></option>
							</select>
						<?php endif; ?>
						<?php	if (isset($editor_form_errors['editor']['settings']['ending_criteria_definitions'][$crit_counter]['conditions'][$condition_counter]['condition_text'])) : ?>
							<p class="error"><?php echo $editor_form_errors['editor']['settings']['ending_criteria_definitions'][$crit_counter]['conditions'][$condition_counter]['condition_text']; ?></p>
						<?php endif; ?>
						</div>	
					<?php 		$condition_counter++; ?>
					<?php 	} while (isset($game_endings[$crit_counter]['conditions'][$condition_counter]['condition_text'])); ?>
					</div>
					<div class="game_settings_intended">
					<?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_THEN_GO_TO'); ?>
						<br /><input class="autocomplete_tags" type="text" name="editor[settings][ending_criteria_definitions][<?php echo $crit_counter; ?>][result]" id="editor[settings][ending_criteria_definitions][<?php echo $crit_counter; ?>][result]"
								value="<?php if (isset($game_endings[$crit_counter]['result'])) echo $game_endings[$crit_counter]['result']; ?>" />
					</div>
					<?php	if (isset($editor_form_errors['editor']['settings']['ending_criteria_definitions'][$crit_counter]['result'])) : ?>
					<p class="error"><?php echo $editor_form_errors['editor']['settings']['ending_criteria_definitions'][$crit_counter]['result']; ?></p>
					<?php endif; ?>
					<?php $crit_counter++; ?>
					<br />
				<?php } while (isset($game_endings[$crit_counter])); ?>
				</div>
				
				<button id="game_settings_add_new_criteria" name="game_settings_add_new_criteria"><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_ADD_NEW_CRITERIA')?></button>
				<hr />
				
				<h3><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_PANIC_CARD'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_PANIC_CARD')); ?>" rel="tooltip">i</abbr></div></h3>
				<div class="game_settings_intended">
					<input class="" type="text" name="editor[settings][panic_card]" id="editor[settings][panic_card]"
						value="<?php if(isset($_POST['editor']['settings']['panic_card']))  {
								echo $_POST['editor']['settings']['panic_card'];
							}
							elseif (isset($game['panic_card_id'])) {
								if ($game['panic_card_id'] > 0) {
									foreach ($cards as $card) {
										if ($card['card_id'] == $game['panic_card_id']) {
											echo $card['card_external_id'];
											break;
										}
									}
									unset($card);
								}
								else {
									echo $game['panic_card_id'];
								}
							} ?>" />
					<?php	if (isset($editor_form_errors['editor']['settings']['panic_card'])) : ?>
					<p class="error"><?php echo $editor_form_errors['editor']['settings']['panic_card']; ?></p>
					<?php endif; ?>
				</div>
				<hr />
				<h3><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_MAX_REWINDS'); ?><div class="info"><abbr title="<?php echo(localize('INFO_ADMIN_REWINDS')); ?>" rel="tooltip">i</abbr></div></h3>
				<div class="game_settings_intended">
					<!--<label for="editor[settings][max_cancellations]"><?php echo localize('ADMIN_EDITOR_GAME_SETTINGS_MAX_CANCELLATIONS')?></label>-->
					<input class="" type="text" name="editor[settings][max_cancellations]" id="editor[settings][max_cancellations]"
						value="<?php if (isset($_POST['editor']['settings']['max_cancellations'])) {
								echo $_POST['editor']['settings']['max_cancellations'];
							}
							elseif (isset($game['max_cancellations'])) {
								echo $game['max_cancellations'];
							} ?>" />
					<?php	if (isset($editor_form_errors['editor']['settings']['max_cancellations'])) : ?>
					<p class="error"><?php echo $editor_form_errors['editor']['settings']['max_cancellations']; ?></p>
					<?php endif; ?>
				</div>
				<hr />
				<input class="" type="submit" class="" id="change_game_settings" name="change_game_settings" value="<?php echo localize('SAVE')?>" />
				<br />
			</form>
		</div>
		
<script type="text/javascript">
<!--
$(document).ready(function() {
<?php if ($show_user_list) : ?>
$('#user_list_button').click();
<?php endif; ?>
<?php if ($show_game_settings) : ?>
$('#game_settings_button').click();
<?php endif; ?>
<?php if (isset($form_errors['admin']['settings']) || isset($_POST['notifications']['game_texts']['updated']) || isset($_POST['notifications']['game_texts']['translation_added']) || isset($_POST['notifications']['game_texts']['switch'])) : ?>
$('#game_texts_button').click();
<?php endif; ?>
});
//-->
</script>

<?php ?>