<?php
/**
*	@file admin/index.php
*	@brief An administator view starting page.
*	Handles admin login, opening game for editing and creation of a new game if user is super admin.
*/ 
require_once(dirname(__FILE__) . '/admin_functions.php');
do_basic_operations();

// if user pressed submit button process forms
if (isset($_POST['admin_index_form_create']) || isset($_POST['admin_index_form_open']) || isset($_POST['admin_index_form_login']) || isset($_POST['change_password'])) {
	process_admin_index_forms();
}


/** The id of the super admin of GAL2. */
global $super_admin_id;

print_admin_html_start('ADMIN_INDEX_TITLE');
print_admin_header();
/** Contains every error if there are any. */
$index_form_errors = array();
/** An array to hold errors in form if any. Defined in admin_editor_form_handling.php */
global $form_errors;

if (!empty($form_errors)) {
	$index_form_errors = $form_errors;
}


/** Database instance of either #MySQLDB or #XMLDB */
$db = DB::getInstance();
/** Contains all games. */
$games = $db->getAllGames();
/** Tells whether or not to show user settings popup */
$show_user_settings = false;
if (isset($_POST['notifications']['password_changed'])) {
	$show_user_settings = true;
}
?>
	<div class="clear"></div>
	<div id="panel_wrapper_admin" class="panel_wrapper">
		<div id="panel_mask_admin" class="panel_mask">
			<div id="admin_index_start" class="panel_item_admin panel_item">
				<div class="panel_content" >
					<h1><?php echo localize('WELCOME_TEXT_ADMIN'); ?></h1>
					<?php  ?>
					<?php if (isset($_GET['game_deleted'])) :
								if ($_GET['game_deleted']) : ?>
					<p class="notification">
					<?php 		echo localize('ADMIN_INDEX_NOTIFICATION_GAME_DELETED'); ?>
					</p>
					<?php 	endif; ?>
					<?php 	unset($_GET['game_deleted']); ?>
					<?php endif; ?>
					
					<?php if (!isset($_SESSION['isLogged']) && !isset($_SESSION['user']['user_id'])) : ?>
					<form id="admin_login" class="admin_form small_input" method="post" action="">
						<h2><?php echo localize('LOGIN'); ?></h2>
						<label for="admin[login][username]"><?php echo localize('ADMIN_INDEX_USER_NAME'); ?></label><input class="" type="text" name="admin[login][username]" id="admin[login][username]" value="<?php if(isset($_POST['admin']['login']['username'])) echo $_POST['admin']['login']['username']; ?>" />
						<?php	if (isset($index_form_errors['admin']['login']['username'])) : ?>
						<p class="error"><?php echo $index_form_errors['admin']['login']['username']; ?></p>
						<?php endif; ?>
						<label for="admin[login][password]"><?php echo localize('ADMIN_INDEX_PASSWORD'); ?></label><input class="" type="password" name="admin[login][password]" id="admin[login][password]" value="<?php if(isset($_POST['admin']['login']['password'])) echo $_POST['admin']['login']['password']; ?>" />
						<?php	if (isset($index_form_errors['admin']['login']['password'])) : ?>
						<p class="error"><?php echo $index_form_errors['admin']['login']['password']; ?></p>
						<?php endif; ?>
						<br />
						<input type="submit" class="" name="admin_index_form_login" value="<?php echo localize('OK'); ?>" />
					</form>
					<?php endif; ?>
					<?php if (isset($_SESSION['isLogged']) && isset($_SESSION['user']['user_id'])) : ?>
					<h2><a class="panel_link" id="open_game" href="#admin_index_open"><?php echo localize('ADMIN_INDEX_OPEN_GAME'); ?></a></h2>
					<?php endif; ?>
					<?php if (isset($_SESSION['user']['user_id']) && $_SESSION['user']['user_id'] == $super_admin_id) : ?>
					<h2><a class="panel_link" id="create_new_game" href="#admin_index_new"><?php echo localize('ADMIN_INDEX_NEW_GAME'); ?></a></h2>
					<?php endif; ?>
				</div>
			</div>
			<div id="admin_index_new" class="panel_item_admin panel_item">
				<div class="panel_content">
					<h1><?php echo localize('ADMIN_INDEX_NEW_GAME')?></h1>
					<?php if (isset($_POST['notifications']['new_game_created'])) :
								if ($_POST['notifications']['new_game_created']) : ?>
					<p class="notification">
					<?php 		echo localize('ADMIN_INDEX_NOTIFICATION_NEW_GAME_CREATED'); ?>
					</p>
					<?php 	else : ?>
					<p class="error">
					<?php			echo localize('ERROR_CREATE_NEW_GAME'); ?>
					</p>
					<?php 	endif; ?>
					<?php endif; ?>
					<?php if (isset($_SESSION['user']['user_id']) && $_SESSION['user']['user_id'] == $super_admin_id) : ?>
					<form id="create_new_game" class="admin_form small_input" method="post" action="">
						<label for="admin[new_game][game_name]"><?php echo localize('ADMIN_INDEX_NEW_GAME_NAME'); ?></label><input class="" type="text" name="admin[new_game][game_name]" id="admin[new_game][game_name]" value="<?php if(isset($_POST['admin']['new_game']['game_name'])) echo $_POST['admin']['new_game']['game_name']; ?>" />
						<?php	if (isset($index_form_errors['admin']['new_game']['game_name'])) : ?>
						<p class="error"><?php echo $index_form_errors['admin']['new_game']['game_name']; ?></p>
						<?php endif; ?>
						<label for="admin[new_game][admin_username]"><?php echo localize('ADMIN_INDEX_ADMIN_USER_NAME'); ?></label><input class="" type="text" name="admin[new_game][admin_username]" id="admin[new_game][admin_username]" value="<?php if(isset($_POST['admin']['new_game']['admin_username'])) echo $_POST['admin']['new_game']['admin_username']; ?>" />
						<?php	if (isset($index_form_errors['admin']['new_game']['admin_username'])) : ?>
						<p class="error"><?php echo $index_form_errors['admin']['new_game']['admin_username']; ?></p>
						<?php endif; ?>
						<label for="admin[new_game][admin_password]"><?php echo localize('ADMIN_INDEX_ADMIN_PASSWORD'); ?></label><input class="" type="password" name="admin[new_game][admin_password]" id="admin[new_game][admin_password]" value="<?php if(isset($_POST['admin']['new_game']['admin_password'])) echo $_POST['admin']['new_game']['admin_password']; ?>" />
						<?php	if (isset($index_form_errors['admin']['new_game']['admin_password'])) : ?>
						<p class="error"><?php echo $index_form_errors['admin']['new_game']['admin_password']; ?></p>
						<?php endif; ?>
						<label for="admin[new_game][admin_password2]"><?php echo localize('ADMIN_INDEX_ADMIN_PASSWORD2'); ?></label><input class="" type="password" name="admin[new_game][admin_password2]" id="admin[new_game][admin_password2]" value="<?php if(isset($_POST['admin']['new_game']['admin_password2'])) echo $_POST['admin']['new_game']['admin_password2']; ?>" />
						<?php	if (isset($index_form_errors['admin']['new_game']['admin_password2'])) : ?>
						<p class="error"><?php echo $index_form_errors['admin']['new_game']['admin_password2']; ?></p>
						<?php endif; ?>
						<br />
						<div><span class="input_with_button">
						<label for="admin[new_game][sample_cards]"><?php echo localize('ADMIN_INDEX_SAMPLE_CARDS'); ?></label><input class="" type="checkbox" name="admin[new_game][sample_cards]" id="admin[new_game][sample_cards]" value="yes" <?php if(isset($_POST['admin']['new_game']['sample_cards'])) echo(' checked="checked"'); ?>" />
						</span></div>
						<br />
						<input type="submit" class="" name="admin_index_form_create" value="<?php echo localize('OK'); ?>" />
					</form>
					<?php endif; ?>
					<h3><a href="#admin_index_start" class="panel_link"><?php echo localize('BACK'); ?></a></h3>
				</div>
			</div>
			<div id="admin_index_open" class="panel_item_admin panel_item">
				<div class="panel_content">

					<h1><?php echo localize('ADMIN_INDEX_OPEN_GAME')?></h1>
					<?php if (isset($_SESSION['isLogged']) && isset($_SESSION['user']['user_id'])) : ?>
					<form id="open_game" class="admin_form" method="post" action="">
						<label for="admin[open_game][game_name]"><?php echo localize('ADMIN_INDEX_SELECT_GAME'); ?></label>
						<select class="" name="admin[open_game][game_name]" id="admin[open_game][game_name]"">
							<option value="" selected="selected" disabled="disabled"><?php echo localize('SELECT'); ?></option>
						<?php $users_game_ids = array(); ?>
						<?php // If super admin then enable all games
								if ($_SESSION['user']['user_id'] == $super_admin_id) {
									foreach ($games as $admin_game) {
										$users_game_ids[] = $admin_game['game_id'];
									}
								}
								else {
									// Get all game_id:s from profiles for filtering
									foreach ($games as $game) {
										if (isset($game['game_id'])) {
											$admins = $db->getAdminIDs($game['game_id']);
											
											// if user is admin of the game then add enable that game
											if (in_array($_SESSION['user']['user_id'], $admins)) {
												$users_game_ids[] = $game['game_id'];
											}
										}
									}
									unset($game);
								}
						?>
						<?php // Disable games which user is not admin ?>
						<?php foreach($games as $game): ?>
							<?php if(isset($_POST['admin']['open_game']['game_name'])): ?>
							<option value="<?php echo $game['game_id']; ?>" <?php if($_POST['admin']['open_game']['game_name'] == $game['game_id']) : echo ' selected="selected"'; endif; if (!in_array($game['game_id'], $users_game_ids)): echo('disabled="disabled"'); endif; ?>><?php echo $game['name']; ?></option>
							<?php else: ?>
							<option value="<?php echo $game['game_id']; ?>" <?php if (!in_array($game['game_id'], $users_game_ids)): echo('disabled="disabled" style="display:none;"'); endif; ?>><?php echo $game['name']; ?></option>
							<?php endif; ?>			
						<?php endforeach; ?>
						</select>
						<?php	if (isset($index_form_errors['admin']['open_game']['game_name'])) : ?>
						<p class="error"><?php echo $index_form_errors['admin']['open_game']['game_name']; ?></p>
						<?php endif; ?>
						
						<br />
						<input type="submit" class="" name="admin_index_form_open" value="<?php echo localize('OK'); ?>" />
					</form>
					<?php endif;  ?>
					<h3><a href="#admin_index_start" class="panel_link"><?php echo localize('BACK'); ?></a></h3>
				</div>
			</div>
		</div> <!-- #panel_mask -->
	</div> <!-- #panel_wrapper -->
<?php print_admin_footer(); ?>

<div class="jqmWindow" id="user_settings_modal">
	<a href="#" class="jqmClose" id="user_settings_modal_close"><?php echo localize('CLOSE'); ?></a>
	<h2><?php echo localize('ADMIN_EDITOR_USER_SETTINGS')?></h2>
<?php if (isset($_POST['notifications']['password_changed'])) :
			if ($_POST['notifications']['password_changed']) : ?>
	<p class="notification">
		<?php echo localize('ADMIN_EDITOR_NOTIFICATION_PASSWORD_CHANGED'); ?>
	</p>
<?php 	endif; ?>
<?php endif; ?>
	<form id="user_settings_form" class="admin_form" method="post" action="">
		<label for="editor[settings][new_password]"><?php echo localize('ADMIN_EDITOR_CHANGE_PASSWORD')?></label><input class="" type="password" name="editor[settings][new_password]" id="editor[settings][new_password]" value="<?php if(isset($_POST['editor']['settings']['new_password'])) echo $_POST['editor']['settings']['new_password']; ?>" />
		<?php	if (isset($index_form_errors['editor']['settings']['new_password'])) : ?>
		<p class="error"><?php echo $index_form_errors['editor']['settings']['new_password']; ?></p>
		<?php endif; ?>
		<label for="editor[settings][new_password2]"><?php echo localize('ADMIN_EDITOR_CHANGE_PASSWORD2')?></label><input class="" type="password" name="editor[settings][new_password2]" id="editor[settings][new_password2]" value="<?php if(isset($_POST['editor']['settings']['new_password2'])) echo $_POST['editor']['settings']['new_password2']; ?>" />
		<?php	if (isset($index_form_errors['editor']['settings']['new_password2'])) : ?>
		<p class="error"><?php echo $index_form_errors['editor']['settings']['new_password2']; ?></p>
		<?php endif; ?>
		<label for="editor[settings][current_password]"><?php echo localize('ADMIN_EDITOR_CURRENT_PASSWORD')?></label><input class="" type="password" name="editor[settings][current_password]" id="editor[settings][current_password]" value="<?php if(isset($_POST['editor']['settings']['current_password'])) echo $_POST['editor']['settings']['current_password']; ?>" />
		<?php	if (isset($index_form_errors['editor']['settings']['current_password'])) : ?>
		<p class="error"><?php echo $index_form_errors['editor']['settings']['current_password']; ?></p>
		<?php endif; ?>
		<hr />
		<input class="" type="submit" class="" id="change_password" name="change_password" value="<?php echo localize('SAVE')?>" />
	</form>
</div>

<?php // Show the correct view panel in case of errors ?>
<script type="text/JavaScript">
$(document).ready(function() {
	// Show user settings popup when needed
	<?php if ($show_user_settings) : ?>
		$('#user_settings_button').click();
	<?php endif; ?>
	<?php if (isset($form_errors['admin']['new_game'])) : ?>
	$('#create_new_game').click();
	<?php endif; ?>
	<?php if (isset($form_errors['admin']['open_game'])) : ?>
	$('#open_game').click();
	<?php endif; ?>
});
</script>
<?php print_html_end(); ?>