/* JavaScript for GAL2 admin pages */
/* admin index.php */
$(document).ready(function() {
	
	// Hide elements
	$('#delete_card_notification, #delete_profile_notification, #admin_index_new, #admin_index_open, #admin_index_settings, #editor_edit_card_button_dummy, #editor_compare_cards_button_dummy, #editor_enable_card_button_dummy, #editor_view_profile_button_dummy, #editor_delete_profile_button_dummy, #show_edit_card_popup, #show_edit_cards_popup').hide();
	
	/* Prevent default action for dummy buttons */
	$('#editor_compare_cards_button_dummy, #editor_edit_card_button_dummy, #editor_delete_card_button_dummy, #editor_enable_card_button_dummy, #editor_view_profile_button_dummy, #editor_delete_profile_button_dummy').click(function(e) {
		e.preventDefault();
	});
	
	// Hide actual card id column from card editor
	$('#card_editor_table td:nth-child(3), #card_editor_table th:nth-child(3)').hide();
	// Hide all card stats and all card tags because those exist only for searching
	$('#card_editor_table td:nth-child(10), #card_editor_table th:nth-child(10)').hide();
	$('#card_editor_table td:nth-child(11), #card_editor_table th:nth-child(11)').hide();
	
	// full example
	/*var arr = ['remove', 'specific', 'value', 'from', 'javascript', 'array'];
	var value_to_remove = 'specific';
	arr.splice(arr.indexOf(value_to_remove), 1);*/


	// note: to support IE (anger rising as I type), you'll need this (thanks James!):
	if (!Array.prototype.indexOf)
	{
	  Array.prototype.indexOf = function(elt /*, from*/)
	  {
	    var len = this.length >>> 0;

	    var from = Number(arguments[1]) || 0;
	    from = (from < 0)
	         ? Math.ceil(from)
	         : Math.floor(from);
	    if (from < 0)
	      from += len;

	    for (; from < len; from++)
	    {
	      if (from in this &&
	          this[from] === elt)
	        return from;
	    }
	    return -1;
	  };
	}
	
	// All game related tags and stats
	var availableTags = [];
	var availableStats = [];
	var availableTagsAndStats = [];
	$.get("../general/ajax.php", { action: 'get_all_tags' }, "json").done(
			function(tags) {
				availableTags = tags;
				availableTagsAndStats = tags;
				
				$.get("../general/ajax.php", { action: 'get_all_stats' }, "json").done(
						function(stats) {
							availableStats = stats;
							availableTagsAndStats = availableTagsAndStats.concat(availableStats);
						}
				);
			}
	);
	
	function splitTagsAndStats( val ) {
		//return val.split( /,\s*/ );
		return val.split( / \s*/ );
	}
	function extractLast( term ) {
		return splitTagsAndStats( term ).pop();
	}
	
	var autoCompleteElement;
	
	// Toggle autocompletes
	$(document).on( 'keydown', '.autocomplete_tags, .autocomplete_stats', function(event) {
		
		if (!$(this).hasClass('ui-autocomplete-input')) {
			
			autoCompleteElement = $(this);
			// Autocomplete starts disabled
			$(this).autocomplete({
				minLength: 1,
				//source: availableStats,
				source: function(request, response) {
					// add correct source based on elements classes
					if (autoCompleteElement.hasClass('autocomplete_tags') && autoCompleteElement.hasClass('autocomplete_stats')) {
						// delegate back to autocomplete, but extract the last term
						response( $.ui.autocomplete.filter(
								availableTagsAndStats, extractLast( request.term ) ) );
					}
					else if (autoCompleteElement.hasClass('autocomplete_tags')) {
						response( $.ui.autocomplete.filter(
								availableTags, extractLast( request.term ) ) );
					}
					else if (autoCompleteElement.hasClass('autocomplete_stats')) {
						response( $.ui.autocomplete.filter(
								availableStats, extractLast( request.term ) ) );
					}
				},
				focus: function() {
					// prevent value inserted on focus
					return false;
				},
				select: function( event, ui ) {
					//var terms = split( this.value );
					var terms = splitTagsAndStats( this.value );
					// remove the current input
					terms.pop();
					// add the selected item
					terms.push( ui.item.value );
					// add placeholder to get the comma-and-space at the end
					terms.push( "" );
					this.value = terms.join( " " );
					return false;
				},
				disabled: true
			});
		}
		
		var code = (event.keyCode ? event.keyCode : event.which);
		
		// don't navigate away from the field on tab when selecting an item
		if (code === $.ui.keyCode.TAB && $(this).data("ui-autocomplete").menu.active) {
			event.preventDefault();
		}
		else if (code == 51 || code == 50) { //# or @
			// Enable autocomplete stats
			$(this).autocomplete( "option", "disabled", false );
		}
		else if (code == 32) { // space
			// Disable autocomplete stats
			$(this).autocomplete( "option", "disabled", true );
		}
		else {
			
		}
		
	});
	
	// Handlers
	$('#create_new_game').click(function(e) {
		/*e.preventDefault();*/
		/*$('#admin_index_start').hide();*/
		$('#admin_index_new').show();
		$('#admin_index_open').hide();
		$('#admin_index_settings').hide();
	});
	/*$('#global_settings').click(function(e) {
		
		$('#admin_index_settings').show();
		$('#admin_index_open').hide();
		$('#admin_index_new').hide();
	});*/
	$('#open_game').click(function(e) {
		/*e.preventDefault();*/
		/*$('#admin_index_start').hide();*/
		$('#admin_index_open').show();
		$('#admin_index_new').hide();
		$('#admin_index_settings').hide();
	});
	
	//$("a[href='#top']").click(function() {
	$(".scroll_to_top").click(function(e) {
		e.preventDefault();
		var $this = $(this);
		setTimeout(function(){
			$('.panel_wrapper').scrollTo($this.attr('href'), 800);
			},400);
					
		$("html, body").animate({ scrollTop: 0 }, 400, function() {
			// Animation complete.
		});
		return false;
	});
	
	// initialize jqmodal popups
	$('#new_card_modal').jqm({overlay: 50, trigger: false,
		onHide: function(h) { 
			h.o.remove(); // remove overlay
			h.w.fadeOut(300); // hide window
		},
		modal: true
	})
    .jqmAddTrigger($('#editor_new_card_button'))
    .jqmAddClose($('#new_card_modal_close'));
	
	$('#edit_card_modal').jqm({overlay: 50, trigger: false,
		onHide: function(h) { 
			h.o.remove(); // remove overlay
			h.w.fadeOut(300); // hide window
		}
	})
    .jqmAddTrigger($('#editor_edit_card_button'))
    // This is only clicked programmatically in case of errors
    .jqmAddTrigger($('#show_edit_card_popup'))
    .jqmAddClose($('#edit_card_modal_close'));
	
	$('#add_translation_modal').jqm({
		trigger: false,
		modal: true, /* FORCE FOCUS */
		onHide: function(h) { 
			h.o.remove(); // remove overlay
			h.w.fadeOut(300); // hide window
	      
		}, overlay: 50})
	 .jqmAddClose($('#add_translation_modal_close'));
	
	$('#edit_cards_modal').jqm({overlay: 50, trigger: false,
		onHide: function(h) { 
			h.o.remove(); // remove overlay
			h.w.fadeOut(300); // hide window
		}
	})
    .jqmAddTrigger($('#editor_edit_cards_button'))
    // This is only clicked programmatically in case of errors
    .jqmAddTrigger($('#show_edit_cards_popup'))
    .jqmAddTrigger($('.compare_cards_edit_all_button'))
    .jqmAddClose($('#edit_cards_modal_close'));
	
	$('#compare_cards_modal').jqm({overlay: 50, trigger: false,
		onHide: function(h) { 
			h.o.remove(); // remove overlay
			h.w.fadeOut(300); // hide window
		}
	})
    .jqmAddTrigger($('#editor_compare_cards_button'))
    // This is only clicked programmatically in case of errors
    //.jqmAddTrigger($('#show_compare_cards_popup'))
    .jqmAddClose($('#compare_cards_modal_close'));
	
	$('#user_settings_modal').jqm({overlay: 50, trigger: false,
		onHide: function(h) { 
			h.o.remove(); // remove overlay
			h.w.fadeOut(300); // hide window
		}
	})
    .jqmAddTrigger($('#user_settings_button'))
    .jqmAddClose($('#user_settings_modal_close'));
	
	$('#user_list_modal').jqm({overlay: 50, trigger: false,
		onHide: function(h) { 
			h.o.remove(); // remove overlay
			h.w.fadeOut(300); // hide window
		}
	})
	.jqmAddTrigger($('#user_list_button'))
    .jqmAddClose($('#user_list_modal_close'));
	
	$('#game_settings_modal').jqm({overlay: 50, trigger: false,
		onHide: function(h) { 
			h.o.remove(); // remove overlay
			h.w.fadeOut(300); // hide window
		}
	})
	.jqmAddTrigger($('#game_settings_button'))
    .jqmAddClose($('#game_settings_modal_close'));
	
	$('#game_texts_modal').jqm({overlay: 50, trigger: false,
		onHide: function(h) { 
			h.o.remove(); // remove overlay
			h.w.fadeOut(300); // hide window
		}
	})
    .jqmAddTrigger($('#game_texts_button'))
    .jqmAddClose($('#game_texts_modal_close'));
	
	/* Admin settings visible stats starts */
	$('#visible_stats_modal').jqm({overlay: 50, trigger: false,
		onHide: function(h) { 
			h.o.remove(); // remove overlay
			h.w.fadeOut(300); // hide window
		}
	})
    .jqmAddTrigger($('#visible_stats_button'))
    .jqmAddClose($('#visible_stats_modal_close'));
	
	if ($('#editor_settings').length > 0) {
		
		$( "#selected_stats" ).sortable({
			containment: "#visible_stats_modal",
			connectWith: "#available_stats",
			placeholder: "ui-state-highlight",
			cursor: "move",
			stop: function( event, ui ) {
				var selected_stats = $('#selected_stats > li');
				var selected_string = '';
				
				for (var i = 0; i < selected_stats.length; i++) {
					if (selected_stats[i].className != 'placeholder') {
						var current_stat = selected_stats[i].childNodes[0].nodeValue;
						if (current_stat != undefined && current_stat != '') {
							selected_string += '@' + current_stat + ' ';
						}
					}
				}
				$('#editor\\[settings\\]\\[visible_stats\\]').attr('value', selected_string);
			}
		});
		$("#available_stats li").draggable({
			//revert: true,
			containment: "#visible_stats_modal", //scroll: false
			cursor: "move",
			helper: "clone",
			appendTo: "#visible_stats_modal"
		});
		$( "#selected_stats, #available_stats" ).disableSelection();

		$( "#selected_stats" ).droppable({
			cursor: "move",
			hoverClass: "ui-state-hover",
			accept: ".ui-draggable",
			drop: function( event, ui ) {
				$( this ).find( ".placeholder" ).hide();
				var old_stats = $('#editor\\[settings\\]\\[visible_stats\\]').attr('value');
				$('#editor\\[settings\\]\\[visible_stats\\]').attr('value', old_stats + ' @' + ui.draggable.text());
				var id = ui.draggable.attr('id');
				$( '<li class="ui-state-default" id="' + id + '"></li>' ).text( ui.draggable.text()).append('<span class="remove_visible_stat">X</span>').appendTo( this );
				ui.draggable.hide(200);
			}
		});
		$(document).on('click', '.remove_visible_stat', function() {
			var id = $(this).parent().attr('id');
			$(this).parent().remove();
			$('#' + id).show(200);
			
			var selected_stats = $('#selected_stats > li');
			
			// If only placeholder element is left then show it
			if (selected_stats.length < 2) {
				$('#selected_stats').find( ".placeholder" ).show(200);
			}
			var selected_string = '';
			
			for (var i = 0; i < selected_stats.length; i++) {
				if (selected_stats[i].className != 'placeholder') {
					var current_stat = selected_stats[i].childNodes[0].nodeValue;
					if (current_stat != undefined && current_stat != '') {
						selected_string += '@' + current_stat + ' ';
					}
				}
			}
			$('#editor\\[settings\\]\\[visible_stats\\]').attr('value', selected_string);
		});
	 }
	/* Admin settings visible stats ends */
	
	/*$('#delete_card_modal').jqm({overlay: 50, trigger: false})
	.jqmAddTrigger($('#editor_delete_card_button'))
    .jqmAddClose($('#game_settings_modal_close'));*/
	// notice that you can pass an element as the target 
	//  in addition to a string selector.
	var target_element = $('#delete_card_modal div.jqmdMSG');
	  
	$('#delete_card_modal').jqm({
		trigger: '#editor_delete_card_button',
		//ajax: '@href', /* Extract ajax URL from the 'href' attribute of triggering element */
		//target: target_element,
		modal: true, /* FORCE FOCUS */
		onHide: function(h) { 
			//t.html('Please Wait...');  // Clear Content HTML on Hide.
			h.o.remove(); // remove overlay
			h.w.fadeOut(500); // hide window
	      
		}, overlay: 50});
	
	 
	$('#delete_game_modal').jqm({
		trigger: '#delete_game',
		modal: true, /* FORCE FOCUS */
		onHide: function(h) { 
			h.o.remove(); // remove overlay
			h.w.fadeOut(500); // hide window
	      
		}, overlay: 50});
	
	$('#delete_profile_modal').jqm({
		trigger: '#editor_delete_profile_button',
		modal: true, /* FORCE FOCUS */
		onHide: function(h) { 
			h.o.remove(); // remove overlay
			h.w.fadeOut(500); // hide window
	      
		}, overlay: 50})
		.jqmAddTrigger($('#delete_profile_button'));
	
	/* Card display language has changed */
	$('#editor_card_language_selector').change(function() {
		var new_lang = this.value;
		$.get("../general/ajax.php", { action: 'change_card_display_lang', language_code: new_lang }, "json").done(
				function(response) {
					if (response['reload']) {
						location.reload();
					}
				}
		);
	});
	
	// Set triggers for card editor popups
	if ($('#card_editor_table').length > 0) {
		
		// Make buttons to scroll with page
		$(".editor_buttons").sticky({topSpacing:0});
		
		var selected_cards = [];
		// adds/removes card from selected_cards array
		function toggleSelectedCard(id) {
			
			if (selected_cards.indexOf(id) == -1) {
				selected_cards.push(id);
			}
			else {
				selected_cards.splice(selected_cards.indexOf(id), 1);
			}
			
			if (selected_cards.length == 1) {
				$('#editor_edit_card_button_dummy').hide();
				$('#editor_edit_cards_button').hide();
				$('#editor_edit_card_button').show();
				$('#editor_delete_card_button_dummy').hide();
				$('#editor_delete_card_button').show();
				$('#editor_compare_cards_button').hide();
				$('#editor_compare_cards_button_dummy').show();
				$('#editor_enable_card_button_dummy').hide();
				$('#editor_enable_card_button').show();
			}
			else if (selected_cards.length > 1) {
				$('#editor_edit_card_button_dummy').hide();
				$('#editor_edit_card_button').hide();
				$('#editor_edit_cards_button').show();
				$('#editor_delete_card_button_dummy').hide();
				$('#editor_delete_card_button').show();
				$('#editor_enable_card_button_dummy').hide();
				$('#editor_enable_card_button').show();
				$('#editor_compare_cards_button').show();
				$('#editor_compare_cards_button_dummy').hide();
			}
			else {
				$('#editor_edit_card_button').hide();
				$('#editor_edit_cards_button').hide();
				$('#editor_edit_card_button_dummy').show();
				$('#editor_delete_card_button').hide();
				$('#editor_delete_card_button_dummy').show();
				$('#editor_compare_cards_button').hide();
				$('#editor_compare_cards_button_dummy').show();
				$('#editor_enable_card_button').hide();
				$('#editor_enable_card_button_dummy').show();
			}
			
			if (selected_cards.length == cards.length) {
				allSelected = true;
			}
			else {
				allSelected = false;
			}
		}
		
		var cards = $('#card_editor_table > tbody > tr');
		var card_count = cards.length;
		
		cards.click( function () {
			
			$(this).toggleClass('selected_card');
				toggleSelectedCard($(this).find('td:nth-child(3)').text());
			}
		);
		
		var allSelected = false;
		
		// Select/deselect all cards
		$('#editor_select_all_button').click( function (e) {
		//function selectDeselectAll() {
			e.preventDefault();
			// If all cards are selected then deselect all
			if (allSelected) {
				allSelected = false;
				$('#card_editor_table > tbody > tr').removeClass('selected_card');
				selected_cards.length = 0;
				$('#editor_edit_card_button').hide();
				$('#editor_edit_cards_button').hide();
				$('#editor_edit_card_button_dummy').show();
				$('#editor_delete_card_button').hide();
				$('#editor_delete_card_button_dummy').show();
				$('#editor_compare_cards_button').hide();
				$('#editor_compare_cards_button_dummy').show();
				$('#editor_enable_card_button_dummy').show();
				$('#editor_enable_card_button').hide();
			}
			else {
				allSelected = true;
				// Otherwise select all
				cards.each( function() {
					
					var id = $(this).find('td:nth-child(3)').text();
					
					if (selected_cards.indexOf(id) == -1) {
						selected_cards.push(id);
						$(this).addClass('selected_card');
					}
				});
				$('#editor_edit_card_button').hide();
				$('#editor_edit_cards_button').show();
				$('#editor_edit_card_button_dummy').hide();
				$('#editor_delete_card_button').show();
				$('#editor_delete_card_button_dummy').hide();
				$('#editor_enable_card_button_dummy').hide();
				$('#editor_enable_card_button').show();
				
				if (selected_cards.length > 1) {
					$('#editor_compare_cards_button').show();
					$('#editor_compare_cards_button_dummy').hide();
				}
			}
		});
		
		// Disable edit card etc if no cards are selected
		if (selected_cards.length == 1) {
			$('#editor_edit_card_button').show();
			$('#editor_edit_cards_button').hide();
			$('#editor_edit_card_button_dummy').hide();
			$('#editor_delete_card_button').hide();
			$('#editor_delete_card_button_dummy').show();
			$('#editor_compare_cards_button').hide();
			$('#editor_compare_cards_button_dummy').show();
			$('#editor_enable_card_button').show();
			$('#editor_enable_card_button_dummy').hide();
		}
		else if (selected_cards.length > 1) {
			$('#editor_edit_card_button').hide();
			$('#editor_edit_card_button').show();
			$('#editor_edit_card_button_dummy').hide();
			$('#editor_delete_card_button').show();
			$('#editor_delete_card_button_dummy').hide();
			$('#editor_enable_card_button_dummy').hide();
			$('#editor_enable_card_button').show();
			$('#editor_compare_cards_button').show();
			$('#editor_compare_cards_button_dummy').hide();
		}
		else  {
			$('#editor_edit_card_button').hide();
			$('#editor_edit_cards_button').hide();
			$('#editor_edit_card_button_dummy').show();
			$('#editor_delete_card_button').hide();
			$('#editor_delete_card_button_dummy').show();
			$('#editor_compare_cards_button').hide();
			$('#editor_compare_cards_button_dummy').show();
			$('#editor_enable_card_button').hide();
			$('#editor_enable_card_button_dummy').show();
		}
		
		$('#editor_edit_card_button').click( function () {
			
			if (selected_cards.length == 1) {
				
				var temp = $('#card_editor_table > tbody > tr td:nth-child(3)');
				
				var firstElement = $(temp).filter(function (){
					return $(this).text() == selected_cards[0];
					}).parent();
				
				// Show loading image and hide content
				$('#edit_card_content').hide();
				$('#edit_card_loading').show();
				
				// Remove any previous errors
				$('#edit_card_content').find('p.error').remove();
				// AJAX
				var selected_card = firstElement.find('td:nth-child(3)').text();
				$.get("../general/ajax.php", { action: 'get_card', card_id: selected_card }, "json").done(
						function(card) {
							
							if (card.lang != '') {
								$('#edit_card_modal #language_code').text(card.lang);
							}
							else {
								$('#edit_card_modal #language_code').text(card.default_lang);
							}
							$('#edit_card\\[card_id\\]').val(card.card_id);
							$('#edit_card\\[card_external_id\\]').val(card.card_external_id);
							$('#edit_card\\[card_id_hidden\\]').val(card.card_external_id);
							
							if (card.repetitive == 1) {
								$('#edit_card\\[repetitive\\]').attr('checked', 'checked');
							}
							else {
								$('#edit_card\\[repetitive\\]').removeAttr('checked');
							}
							if (card.card_name != '') {
								$('#edit_card\\[card_name\\]').val(card.card_name);
							}
							else {
								$('#edit_card\\[card_name\\]').val(card.default_name);
							}
							var tags = '';
							var tag_counter = 0;
							for (var i = 0; i < card.tags.length; i++) {
								tags += '#' + card.tags[i] + ' ';
							}
							$('#edit_card\\[tags\\]').val(tags);
							
							var stats = '';
							var stat_counter = 0;
							for (var i = 0; i < card.stats.length; i++) {
								stats += card.stats[i] + ' ';
							}
							//$('#edit_card\\[stats\\]').val(card.stats);
							$('#edit_card\\[stats\\]').val(stats);
							
							if (card.description != '') {
								$('#edit_card\\[description\\]').val(card.description);
							}
							else {
								$('#edit_card\\[description\\]').val(card.default_description);
							}
							// Choices & results
							if (card.choices != undefined) {
								$('#edit_card_choices_and_results').empty();
								$.get("../general/ajax.php", { action: 'print_card_choices_and_results', choices: card.choices, language_code: card.lang }, "html").done(
										function(response) {
											$('#edit_card_choices_and_results').append(response);
										}
								);
							}
							
							if (card.expert_advice != '') {
								$('#edit_card\\[expert_advice\\]').val(card.expert_advice);
							}
							else {
								$('#edit_card\\[expert_advice\\]').val(card.default_expert_advice);
							}
							$('#edit_card\\[comment\\]').val(card.comment);
							$('#edit_card\\[attachment_text\\]').val(card.attachment);
							$('#edit_card\\[attachment_text_hidden\\]').val(card.attachment);
							
							var image_src = '';
							
							if (card.attachment.length > 0) {
								$('#edit_card_remove_attachment').show();
								$('#edit_card\\[attachment_text\\]').show();
								if (card.imageURL) {
									image_src = card.imageURL;
								}
								if (image_src != '') {
									$('#edit_card_image').show();
									$('#edit_card_image > img').attr('src', image_src);
									$('#edit_card_image > img').show();
								}
							}
							else {
								$('#edit_card_remove_attachment').hide();
								$('#edit_card\\[attachment_text\\]').hide();
								$('#edit_card_image').hide();
							}
							
							// Returns card translations as option elements
							$.get("../general/ajax.php", { action: 'print_card_translations', card_id: selected_card }, "html").done(
									function(translations) {
										$('#edit_card\\[default_lang\\]').empty();
										$('#edit_card\\[default_lang\\]').append( translations );
										$('#edit_card\\[translations\\]').empty();
										$('#edit_card\\[translations\\]').append( translations ); // option-elements
										
										$('#edit_card\\[default_lang\\]').val(card.default_lang);
										$('#edit_card\\[translations\\]').val(card.lang);
							});
							
							
							$.get("../general/ajax.php", { action: 'get_card_translations', card_id: selected_card }, "html").done(
									function(translations) {
										// If there are any new translations to be added
										var any_new = false;
										$('#add_translation_modal #add_translation\\[lang\\]').children('option').each( function () {
											
											var lang_codes = [];
											
											for (i=0; i < translations.length; i++) {
												lang_codes.push(translations[i].language_code);
											}
											if (lang_codes.indexOf(this.value) != -1) {
												$(this).attr('disabled', 'disabled');
											}
											else {
												any_new = true;
												$(this).removeAttr('disabled');
											}
											
										});
										// Disable first option which is select-text
										$('#add_translation_modal #add_translation\\[lang\\]').children('option:first').attr('disabled', 'disabled');
										// and select it
										$('#add_translation_modal #add_translation\\[lang\\]').children('option:first').attr('selected', 'selected');
										// If there are no more translations to be added
										// then hide ok button
										if (any_new) {
											$('#add_translation_modal #add_translation_button').show();
										}
										else {
											$('#add_translation_modal #add_translation_button').hide();
										}
										
							});
							
							$('#edit_card_loading').hide();
							$('#edit_card_content').show();
					});
			}
		});
		
		// TODO: maybe add collapsable rows
		/*$(document).on('click', 'tr.admin_compare_cards_choice', function(e) {
			if ($(this).next('tr').hasClass('admin_compare_cards_result_hidden')) {
				
				while ($(this).next('tr').hasClass('admin_compare_cards_result_hidden')) {
					
					$(this).next('tr').removeClass('admin_compare_cards_result_hidden');
				}
			}
		});*/
		
		$(document).on( 'click', 'a.compare_edit_card_link', function(e) {
			
			e.preventDefault();
			$('#show_edit_card_popup').click();
			// Show loading image and hide content
			$('#edit_card_content').hide();
			$('#edit_card_loading').show();
			
			// Remove any previous errors
			$('#edit_card_content').find('p.error').remove();
			// AJAX
			var selected_card = $(this).attr('id').replace('compare_edit_card_', '');
			$.get("../general/ajax.php", { action: 'get_card', card_id: selected_card }, "json").done(
					function(card) {
					
						if (card.lang != '') {
							$('#edit_card_modal #language_code').text(card.lang);
						}
						else {
							$('#edit_card_modal #language_code').text(card.default_lang);
						}
						$('#edit_card\\[card_id\\]').val(card.card_id);
						$('#edit_card\\[card_external_id\\]').val(card.card_external_id);
						$('#edit_card\\[card_id_hidden\\]').val(card.card_external_id);
						
						if (card.repetitive == 1) {
							$('#edit_card\\[repetitive\\]').attr('checked', 'checked');
						}
						else {
							$('#edit_card\\[repetitive\\]').removeAttr('checked');
						}
						if (card.card_name != '') {
							$('#edit_card\\[card_name\\]').val(card.card_name);
						}
						else {
							$('#edit_card\\[card_name\\]').val(card.default_name);
						}
						var tags = '';
						var tag_counter = 0;
						for (var i = 0; i < card.tags.length; i++) {
							tags += '#' + card.tags[i] + ' ';
						}
						$('#edit_card\\[tags\\]').val(tags);
						
						var stats = '';
						var stat_counter = 0;
						for (var i = 0; i < card.stats.length; i++) {
							stats += card.stats[i] + ' ';
						}
						//$('#edit_card\\[stats\\]').val(card.stats);
						$('#edit_card\\[stats\\]').val(stats);
						
						if (card.description != '') {
							$('#edit_card\\[description\\]').val(card.description);
						}
						else {
							$('#edit_card\\[description\\]').val(card.default_description);
						}
						// Choices & results
						if (card.choices != undefined) {
							$('#edit_card_choices_and_results').empty();
							$.get("../general/ajax.php", { action: 'print_card_choices_and_results', choices: card.choices, language_code: card.lang }, "html").done(
									function(response) {
										$('#edit_card_choices_and_results').append(response);
									}
							);
						}
						
						if (card.expert_advice != '') {
							$('#edit_card\\[expert_advice\\]').val(card.expert_advice);
						}
						else {
							$('#edit_card\\[expert_advice\\]').val(card.default_expert_advice);
						}
						$('#edit_card\\[comment\\]').val(card.comment);
						$('#edit_card\\[attachment_text\\]').val(card.attachment);
						$('#edit_card\\[attachment_text_hidden\\]').val(card.attachment);
						
						var image_src = '';
						
						if (card.attachment.length > 0) {
							$('#edit_card_remove_attachment').show();
							$('#edit_card\\[attachment_text\\]').show();
							if (card.imageURL) {
								image_src = card.imageURL;
							}
							if (image_src != '') {
								$('#edit_card_image').show();
								$('#edit_card_image > img').attr('src', image_src);
								$('#edit_card_image > img').show();
							}
						}
						else {
							$('#edit_card_remove_attachment').hide();
							$('#edit_card\\[attachment_text\\]').hide();
							$('#edit_card_image').hide();
						}
						
						// Returns card translations as option elements
						$.get("../general/ajax.php", { action: 'print_card_translations', card_id: selected_card }, "html").done(
								function(translations) {
									$('#edit_card\\[default_lang\\]').empty();
									$('#edit_card\\[default_lang\\]').append( translations );
									$('#edit_card\\[translations\\]').empty();
									$('#edit_card\\[translations\\]').append( translations ); // option-elements
									
									$('#edit_card\\[default_lang\\]').val(card.default_lang);
									$('#edit_card\\[translations\\]').val(card.lang);
						});
						
						
						$.get("../general/ajax.php", { action: 'get_card_translations', card_id: selected_card }, "html").done(
								function(translations) {
									// If there are any new translations to be added
									var any_new = false;
									$('#add_translation_modal #add_translation\\[lang\\]').children('option').each( function () {
										
										var lang_codes = [];
										
										for (i=0; i < translations.length; i++) {
											lang_codes.push(translations[i].language_code);
										}
										if (lang_codes.indexOf(this.value) != -1) {
											$(this).attr('disabled', 'disabled');
										}
										else {
											any_new = true;
											$(this).removeAttr('disabled');
										}
										
									});
									// Disable first option which is select-text
									$('#add_translation_modal #add_translation\\[lang\\]').children('option:first').attr('disabled', 'disabled');
									// and select it
									$('#add_translation_modal #add_translation\\[lang\\]').children('option:first').attr('selected', 'selected');
									// If there are no more translations to be added
									// then hide ok button
									if (any_new) {
										$('#add_translation_modal #add_translation_button').show();
									}
									else {
										$('#add_translation_modal #add_translation_button').hide();
									}
									
						});
						
						$('#edit_card_loading').hide();
						$('#edit_card_content').show();
				});
		});
		
		$('#edit_card_select_translation').click( function (e) {
			
			e.preventDefault();
			
			// Show loading image and hide content
			$('#edit_card_content').hide();
			$('#edit_card_loading').show();
			
			// Remove any previous errors
			$('#edit_card_content').find('p.error').remove();
			// AJAX
			var selected_card = $('#edit_card\\[card_id\\]').val();
			var selected_language = $('#edit_card\\[translations\\]').val();
			
			$.get("../general/ajax.php", { action: 'get_card', card_id: selected_card, language_code: selected_language }, "json").done(
					function(card) {
						$('#edit_card_modal #language_code').text(card.lang);
						$('#edit_card\\[card_id\\]').val(card.card_id);
						$('#edit_card\\[card_external_id\\]').val(card.card_external_id);
						$('#edit_card\\[card_id_hidden\\]').val(card.card_external_id);
						
						if (card.repetitive == 1) {
							$('#edit_card\\[repetitive\\]').attr('checked', 'checked');
						}
						else {
							$('#edit_card\\[repetitive\\]').removeAttr('checked');
						}
						if (card.card_name) {
							$('#edit_card\\[card_name\\]').val(card.card_name);
						}
						else {
							$('#edit_card\\[card_name\\]').val(card.default_name);
						}
						var tags = '';
						var tag_counter = 0;
						for (var i = 0; i < card.tags.length; i++) {
							tags += '#' + card.tags[i] + ' ';
						}
						$('#edit_card\\[tags\\]').val(tags);
						
						var stats = '';
						var stat_counter = 0;
						for (var i = 0; i < card.stats.length; i++) {
							stats += card.stats[i] + ' ';
						}
						$('#edit_card\\[stats\\]').val(stats);
						
						if (card.description) {
							$('#edit_card\\[description\\]').val(card.description);
						}
						else {
							$('#edit_card\\[description\\]').val(card.default_description);
						}
						// Choices & results
						if (card.choices) {
							$('#edit_card_choices_and_results').empty();
							$.get("../general/ajax.php", { action: 'print_card_choices_and_results', choices: card.choices, language_code: selected_language }, "html").done(
									function(response) {
										$('#edit_card_choices_and_results').append(response);
									}
							);
						}
						
						if (card.expert_advice) {
							$('#edit_card\\[expert_advice\\]').val(card.expert_advice);
						}
						else {
							$('#edit_card\\[expert_advice\\]').val(card.default_expert_advice);
						}
						$('#edit_card\\[comment\\]').val(card.comment);
						$('#edit_card\\[attachment_text\\]').val(card.attachment);
						$('#edit_card\\[attachment_text_hidden\\]').val(card.attachment);
						if (card.attachment.length > 0) {
							$('#edit_card_remove_attachment').show();
							$('#edit_card\\[attachment_text\\]').show();
							//$('#edit_card_image > img').attr('src', )
						}
						else {
							$('#edit_card_remove_attachment').hide();
							$('#edit_card\\[attachment_text\\]').hide();
						}
						
						// Returns card translations as option elements
						$.get("../general/ajax.php", { action: 'print_card_translations', card_id: selected_card }, "html").done(
								function(translations) {
									$('#edit_card\\[default_lang\\]').empty();
									$('#edit_card\\[default_lang\\]').append( translations );
									$('#edit_card\\[translations\\]').empty();
									$('#edit_card\\[translations\\]').append( translations ); // option-elements
									
									$('#edit_card\\[default_lang\\]').val(card.default_lang);
									$('#edit_card\\[translations\\]').val(card.lang);
						});
						
						
						$.get("../general/ajax.php", { action: 'get_card_translations', card_id: selected_card }, "html").done(
								function(translations) {
									// If there are any new translations to be added
									var any_new = false;
									$('#add_translation_modal #add_translation\\[lang\\]').children('option').each( function () {
										
										var lang_codes = [];
										
										for (i=0; i < translations.length; i++) {
											lang_codes.push(translations[i].language_code);
										}
										if (lang_codes.indexOf(this.value) != -1) {
											$(this).attr('disabled', 'disabled');
										}
										else {
											any_new = true;
											$(this).removeAttr('disabled');
										}
										
									});
									// Disable first option which is select-text
									$('#add_translation_modal #add_translation\\[lang\\]').children('option:first').attr('disabled', 'disabled');
									// and select it
									$('#add_translation_modal #add_translation\\[lang\\]').children('option:first').attr('selected', 'selected');
									// If there are no more translations to be added
									// then hide ok button
									if (any_new) {
										$('#add_translation_modal #add_translation_button').show();
									}
									else {
										$('#add_translation_modal #add_translation_button').hide();
									}
									
						});
						
						$('#edit_card_loading').hide();
						$('#edit_card_content').show();
				});
		});
		
		// Disable ok button if value is disabled
		$('#add_translation_form #add_translation_button').attr('disabled', 'disabled');
		// Enable it when valid value is selected
		$('#add_translation_modal #add_translation\\[lang\\]').change( function () {
			$(this).children('option:selected').each( function() {
				if ($(this).attr('disabled')) {
					$('#add_translation_form #add_translation_button').attr('disabled', 'disabled');
				}
				else {
					$('#add_translation_form #add_translation_button').removeAttr('disabled');
				}
			});
		});
		
		$('#add_translation_form #add_translation_button').click( function(e) {
			e.preventDefault();
			//console.log("add translation");
			var language = $('#add_translation_modal #add_translation\\[lang\\]').val();
			var new_option = '<option value="' + language + '">' + language + '</option>';
			var selected_card = $('#edit_card\\[card_id\\]').val();

			$.post("../general/ajax.php", { action: 'add_card_translation', card_id: selected_card, language_code: language }, "html").done(
					function(result) {
						// Add selected option to card translations
						$('#card_editor_form #edit_card\\[translations\\]').append(new_option);
						$('#card_editor_form #edit_card\\[default_lang\\]').append(new_option);
						// Disable add translation button and selected option from add translations
						$('#add_translation_modal #add_translation\\[lang\\]').children('option:selected').attr('disabled', 'disabled');
						$('#add_translation_form #add_translation_button').attr('disabled', 'disabled');
						$('#add_translation_modal').jqmHide();
					}
			);
			
		});
		
		$('#edit_card_content > #card_editor_form > #edit_card_add_translation').click( function(e) {
			e.preventDefault();
			$('#add_translation_modal').jqmShow();
		});
		
		$('#edit_cards_content > #cards_editor_form > #edit_cards_enable_repetitive_button').click( function (e) {
			e.preventDefault();
			$('#edit_cards_content > #cards_editor_form > #edit_cards\\[repetitive\\]').removeAttr('disabled');
			$('#edit_cards_content > #cards_editor_form > #edit_cards\\[repetitive_enabled\\]').val('1');
			$(this).hide(200);
		});
		$('#edit_cards_content > #cards_editor_form > #edit_cards_enable_comment_button').click( function (e) {
			e.preventDefault();
			$('#edit_cards_content > #cards_editor_form > #edit_cards\\[comment\\]').removeAttr('disabled');
			$(this).hide(200);
		});
		$('#edit_cards_content > #cards_editor_form > #edit_cards_enable_picture_button').click( function (e) {
			e.preventDefault();
			$('#edit_cards_content > #cards_editor_form > #edit_cards\\[picture_link\\]').removeAttr('disabled');
			$('#edit_cards_content > #cards_editor_form > #edit_cards\\[picture_enabled\\]').val('1');
			$(this).hide(200);
		});
		
		
		$('#editor_edit_cards_button, .compare_cards_edit_all_button').click( function () {
			
			if (selected_cards.length > 1) {
				
				/*var temp = $('#card_editor_table > tbody > tr td:nth-child(3)');
				
				var firstElement = $(temp).filter(function (){
					return $(this).text() == selected_cards[0];
					}).parent();*/
				
				// Show loading image and hide content
				$('#edit_cards_content').hide();
				$('#edit_cards_loading').show();
				
				// Remove any previous errors
				$('#edit_cards_content').find('p.error').remove();
				
				// AJAX
				$.get("../general/ajax.php", { action: 'get_multiple_cards', card_ids: selected_cards }, "json").done(
						function(cards) {
							
							if (cards != null) {
								
								var card_ids = '';
								var card_external_ids = '';
								
								for (var i = 0; i < cards.length; i++) {
									
									if (cards[i] != null && cards[i].card_id != null) {
										
										card_ids += cards[i].card_id + ', ';
									}
									if (cards[i] != null && cards[i].card_external_id != null) {
										
										card_external_ids += cards[i].card_external_id + ', ';
									}
								}
								if (card_ids.length > 0) {
									// Remove last comma and space
									card_ids = card_ids.slice(0, -2);
								}
								if (card_external_ids.length > 0) {
									// Remove last comma and space
									card_external_ids = card_external_ids.slice(0, -2);
								}
								$('#edit_cards\\[card_ids\\]').val(card_ids);
								$('#edit_cards\\[card_external_ids\\]').val(card_external_ids);
								$('#edit_cards\\[card_ids_hidden\\]').val(card_external_ids);
							}
							// Disable repetitive and show enable button
							$('#edit_cards_content > #cards_editor_form > #edit_cards\\[repetitive\\]').attr('disabled', 'disabled');
							$('#edit_cards_content > #cards_editor_form > #edit_cards_enable_repetitive_button').show();
							// Disable comment and show enable button
							$('#edit_cards_content > #cards_editor_form > #edit_cards\\[comment\\]').attr('disabled', 'disabled');
							$('#edit_cards_content > #cards_editor_form > #edit_cards_enable_comment_button').show();
							// Disable picture_link and show enable button
							$('#edit_cards_content > #cards_editor_form > #edit_cards\\[picture_link\\]').attr('disabled', 'disabled');
							$('#edit_cards_content > #cards_editor_form > #edit_cards_enable_picture_button').show();
							
							
							$('#edit_cards_loading').hide();
							$('#edit_cards_content').show();
						}
				);
			}
		});
		
		$('#editor_compare_cards_button').click( function () {
			
			if (selected_cards.length > 1) {
				
				// Show loading image and hide content
				$('#compare_cards_content').hide();
				$('.compare_cards_edit_all_button').hide();
				$('#compare_cards_loading').show();
				
				// AJAX
				$.get("../general/ajax.php", { action: 'print_multiple_cards', card_ids: selected_cards }, "html").done(
						function(content) {
							$('#compare_cards_content').empty();
							$('#compare_cards_content').append( content );
							
							$('#compare_cards_loading').hide();
							$('.compare_cards_edit_all_button').show();
							$('#compare_cards_content').show();
						}
				);
			}
		});
		
		$('#show_edit_card_popup').click(function(e) {
			e.preventDefault();
			$('#edit_card_loading').hide();
			$('#edit_card_content').show();
		});
		$('#show_edit_cards_popup').click(function(e) {
			e.preventDefault();
			$('#edit_cards_loading').hide();
			$('#edit_cards_content').show();
		});
		
		
		// Edit card remove attachment button clicked
		$('#edit_card_remove_attachment').click(function(e) {
			e.preventDefault();
			$('#edit_card\\[attachment_text\\]').val('');
			$('#edit_card\\[attachment_text_hidden\\]').val('');
			$('#edit_card_image').hide(200);
		});
		
		// Cancel selections
		$("table > :not(tbody)").click( function () {
			$('#card_editor_table > tbody > tr').removeClass('selected_card');
			selected_cards.length = 0;
			allSelected = false;
			$('#editor_edit_card_button').hide();
			$('#editor_edit_cards_button').hide();
			$('#editor_edit_card_button_dummy').show();
			$('#editor_delete_card_button').hide();
			$('#editor_delete_card_button_dummy').show();
			$('#editor_compare_cards_button').hide();
			$('#editor_compare_cards_button_dummy').show();
			$('#editor_enable_card_button').hide();
			$('#editor_enable_card_button_dummy').show();
		});
		$(".header, .editor_wrapper > :not(div.editor_content), #card_search").click( function () {
			$('#card_editor_table > tbody > tr').removeClass('selected_card');
			selected_cards.length = 0;
			allSelected = false;
			$('#editor_edit_card_button').hide();
			$('#editor_edit_cards_button').hide();
			$('#editor_edit_card_button_dummy').show();
			$('#editor_delete_card_button').hide();
			$('#editor_delete_card_button_dummy').show();
			$('#editor_compare_cards_button').hide();
			$('#editor_compare_cards_button_dummy').show();
			$('#editor_enable_card_button').hide();
			$('#editor_enable_card_button_dummy').show();
		});
		
		// Enable/disable all selected cards
		function enableDisableAll() {
			
			var temp = $('#card_editor_table > tbody > tr td:nth-child(3)');
			var disable = true;
			
			// Check if first one of selected cards is enabled or disabled
			if ($(temp).filter(function (){
			    return $(this).text() == selected_cards[0];
			}).parent().find('td:nth-child(1)').text() != 'X') {
				
				disable = false;
			}
					
			for (var i = 0; i < selected_cards.length; i++) {

				$(temp).each(function () {

					 if ($(this).text() == selected_cards[i]) {
						 var enable = 1;
						 if (disable) {
							 $(this).parent().find('td:nth-child(1)').text('');
							 enable = 0;
						 }
						 else {
							 $(this).parent().find('td:nth-child(1)').text('X');
							 enable = 1;
						 }
						 $.post("../general/ajax.php", { action: 'enable_disable_card', card_id: selected_cards[i], enable: enable }, "html").done(
									/*function(test) {
											//console.log(test);
								}*/);
					 }
				});
			}
		}
		
		// Enable/disable single card
		function toggleEnabledCard(selected_id) {
			
			$('#card_editor_table > tbody > tr td:nth-child(3)').each(function () {

				//console.log($(this).text() + " id:" + selected_id);
				 if ($(this).text() == selected_id) {
					 var enable = 1;
					 if ($(this).parent().find('td:nth-child(1)').text() != 'X') {
						 
						 $(this).parent().find('td:nth-child(1)').text('X');
						 enable = 1;
					 }
					 else {
						 enable = 0;
						 $(this).parent().find('td:nth-child(1)').text('');
					 }
					 $.post("../general/ajax.php", { action: 'enable_disable_card', card_id: selected_id, enable: enable }, "html");
				 }
			});
		}
		$('#editor_enable_card_button').click( function (e) {
			e.preventDefault();
			if (selected_cards.length > 0) {
				
				if (selected_cards.length > 1) {
					enableDisableAll();
				}
				else {
					
					for (var i = 0; i < selected_cards.length; i++) {
						toggleEnabledCard(selected_cards[i]);
					}
				}
			}
		});
		
		// Delete cards
		$('#editor_delete_card_button').click( function () {
			$('#delete_card_modal_card_number').text(selected_cards.length);
		});
		$('#delete_card_modal_yes_button').click( function () {
			
			if (selected_cards.length > 0) {
				$('#card_editor_table > tbody > tr').removeClass('selected_card');
				$('#editor_edit_card_button').hide();
				$('#editor_edit_cards_button').hide();
				$('#editor_edit_card_button_dummy').show();
				$('#editor_delete_card_button').hide();
				$('#editor_delete_card_button_dummy').show();
				$('#editor_enable_card_button').hide();
				$('#editor_enable_card_button_dummy').show();
				$('#editor_compare_cards_button').hide();
				$('#editor_compare_cards_button_dummy').show();
				for (var i = 0; i < selected_cards.length; i++) {
					//console.log("delete_card: " + selected_cards[i]);
					var selected_card = selected_cards[i];
					$.post("../general/ajax.php", { action: 'delete_card', card_id: selected_card }, "json").done(
						function(response) {
							
							$('#card_editor_table > tbody > tr td:nth-child(3)').each(function () {

								//console.log($(this).text() + " id:" + response.deleted_card);
								 if ($(this).text() == response.deleted_card) {
									 $(this).parent().hide(200);
								 }
							});
							
						});
				}
				$('#delete_card_notification_card_nbr').text(selected_cards.length);
				$('#delete_card_notification').show(300);
				selected_cards.length = 0;
				allSelected = false;
			}
		});
	}
	
	// add parser through the tablesorter addParser method
	$.tablesorter.addParser({
		// set a unique id
		id: 'date',
		is: function(s) {
			// return false so this parser is not auto detected
			return false;
		},
		format: function(s) {
			// Extract date from cell and return it
			var cell = $.trim(s);
			var data = cell.split(" ");
			data = data[0];
			
			var date_str = '';
			var month_index = 0;
			var date_components = data.split('/');
			if (date_components.length < 3) {
				date_components = data.split('.');
				month_index = 1;
			}
			if (date_components.length == 3) {
				date_str = date_components[2];
				if (date_components[month_index].length < 2) {
					date_str += 0;
				}
				date_str += date_components[month_index];
				if (month_index == 1) {
					if (date_components[0].length < 2) {
						date_str += 0;
					}
					date_str += date_components[0];
				}
				else {
					if (date_components[1].length < 2) {
						date_str += 0;
					}
					date_str += date_components[1];
				}
			}
			return date_str;
			// format your data for normalization
			//return s.toLowerCase().replace(/good/,2).replace(/medium/,1).replace(/bad/,0);
		},
		// set type, either numeric or text
		type: 'numeric'
	});
	
	// Check if card editor tab is chosen
	if ($('#card_editor_table').length > 0) {
		
		// New/Edit card add new choice button clicked
		$('#new_card\\[add_new_choice\\],#edit_card\\[add_new_choice\\]').click(function(e) {
			
			e.preventDefault();
			var new_or_edit = '';
			if ($(this).attr('id') == 'new_card[add_new_choice]') {
				new_or_edit = 'new_card';
			}
			else {
				new_or_edit = 'edit_card';
			}
			/*var next_choice_id = $('#' + new_or_edit + '_choices_and_results.choices_and_results > .results').length;
			$.get("../general/ajax.php", { action: 'add_choice', choice_id: parseInt(next_choice_id), new_or_edit: new_or_edit  }, "html").done(
					function(choice) {
						$('#' + new_or_edit + '_choices_and_results.choices_and_results').append( choice );
						$.get("../general/ajax.php", { action: 'add_result', choice_id: parseInt(next_choice_id), result_id: 0, new_or_edit: new_or_edit }, "html").done(
								function(result) {
									$('#' + new_or_edit + '\\[results_' + next_choice_id + '\\]').append( result );
								}
						);
					}
			);*/
			
			//var next_choice_id = $('#' + new_or_edit + '_choices_and_results.choices_and_results > .result_div').length;
			var latest_choice_id = $('#' + new_or_edit + '_choices_and_results.choices_and_results > .result_div').last('div').attr('id').split(new_or_edit + '[choices][')[1].replace(']', '');
			
			var next_choice_id = parseInt(latest_choice_id) + 1;
			//console.log(next_choice_id);
			
			$.get("../general/ajax.php", { action: 'add_choice', choice_id: parseInt(next_choice_id), new_or_edit: new_or_edit  }, "html").done(
					function(choice) {
						$('#' + new_or_edit + '_choices_and_results.choices_and_results').append( choice );
						$.get("../general/ajax.php", { action: 'add_result', choice_id: parseInt(next_choice_id), result_id: 0, new_or_edit: new_or_edit }, "html").done(
								function(result) {
									$('#' + new_or_edit + '\\[results_' + next_choice_id + '\\]').append( result );
								}
						);
					}
			);
			return false;
		});
		
		// Add new result button clicked
		$(document).on( 'click', 'button.new_result_button', function(e) {
			
			e.preventDefault();
			
			var new_or_edit = '';
			if ($(this).parent('div.results').parent().parent('div.choices_and_results').attr('id') == 'new_card_choices_and_results') {
				new_or_edit = 'new_card';
			}
			else {
				new_or_edit = 'edit_card';
			}
			
			var temp = $(this).parent('div.results').attr('id').split(new_or_edit + '[results_');
			var this_choice_id = temp[1].replace(']', '');
			
			var temp2 = $(this).attr('id').split(new_or_edit + '[add_new_result_');
			var this_button_id = temp2[1].replace(']', '');
			
			$.get("../general/ajax.php", { action: 'add_result', choice_id: parseInt(this_choice_id), result_id: (parseInt(this_button_id) + 1), new_or_edit: new_or_edit  }, "html").done(
					function(result) {
						// Remove old button
						$('#' + new_or_edit + '\\[results_' + this_choice_id + '\\] > #' + new_or_edit + '\\[add_new_result_' + this_button_id + '\\]').remove();
						$('#' + new_or_edit + '\\[results_' + this_choice_id + '\\]').append( result );
					}
			);
			return false;
		});
		
		// Remove choice
		$(document).on( 'click', 'button.remove_choice_button', function(e) {
			
			e.preventDefault();
			
			var new_or_edit = '';
			if ($(this).parent().parent().parent('div.choices_and_results').attr('id') == 'new_card_choices_and_results') {
				new_or_edit = 'new_card';
			}
			else {
				new_or_edit = 'edit_card';
			}
			//var temp = $(this).parent().parent('div.results').attr('id').split(new_or_edit + '[results_');
			//var this_choice_id = temp[1].replace(']', '');
			var temp = $(this).attr('id').split(new_or_edit + '[remove_choice_');
			//var temp3 = temp2[1].split('_');
			//var choice_index = temp3[0];
			var choice_index = temp[1].replace(']', '');
			//var this_button_id = temp2[1].replace(']', '');
			//console.log('choice_index:' + choice_index);
			/*$.get("../general/ajax.php", { action: 'add_result', choice_id: parseInt(this_choice_id), result_id: (parseInt(this_button_id) + 1), new_or_edit: new_or_edit  }, "html").done(
					function(result) {
						// Remove old button
						$('#' + new_or_edit + '\\[results_' + this_choice_id + '\\] > #' + new_or_edit + '\\[add_new_result_' + this_button_id + '\\]').remove();
						$('#' + new_or_edit + '\\[results_' + this_choice_id + '\\]').append( result );
					}
			);*/
			
			var removable_id = '#' + new_or_edit + '\\[choices\\]\\[' + choice_index + '\\]';
			$(removable_id).remove();
			//$(removable_id).hide(200);
			
			return false;
		});
		
		// Remove result
		$(document).on( 'click', 'button.remove_result_button', function(e) {
			
			e.preventDefault();
			
			var new_or_edit = '';
			if ($(this).parent().parent().parent('div.results').parent().parent('div.choices_and_results').attr('id') == 'new_card_choices_and_results') {
				new_or_edit = 'new_card';
			}
			else {
				new_or_edit = 'edit_card';
			}
			var temp = $(this).parent().parent().parent('div.results').attr('id').split(new_or_edit + '[results_');
			var this_choice_id = temp[1].replace(']', '');
			
			var temp2 = $(this).attr('id').split(new_or_edit + '[remove_result_');
			
			var temp3 = temp2[1].split('_');
			var choice_index = temp3[0];
			var result_index = temp3[1].replace(']', '');
			//var this_button_id = temp2[1].replace(']', '');
			//console.log('choice_index:' + choice_index + ' result_index:' + result_index);
			
			// Hide and remove result
			var removable_id = '#' + new_or_edit + '\\[result_' + choice_index + '_' + result_index + '\\]';
			$(removable_id).remove();
			//$(removable_id).hide(200);
			
			//console.log(removable_id);
			/*$(removable_id).hide(200);
			window.setTimeout(function(removable_id) {	
				$(removable_id).remove();
			}, 300);*/
			
			
			/*$.get("../general/ajax.php", { action: 'add_result', choice_id: parseInt(this_choice_id), result_id: (parseInt(this_button_id) + 1), new_or_edit: new_or_edit  }, "html").done(
					function(result) {
						// Remove old button
						$('#' + new_or_edit + '\\[results_' + this_choice_id + '\\] > #' + new_or_edit + '\\[add_new_result_' + this_button_id + '\\]').remove();
						$('#' + new_or_edit + '\\[results_' + this_choice_id + '\\]').append( result );
					}
			);*/
			return false;
		});
		
		
		$('.search_field > #card_search').keyup(function(event) {  
			//if esc is pressed or nothing is entered  
			if (event.keyCode == 27 || $(this).val() == '') {  
				//if esc is pressed we want to clear the value of search box  
				$(this).val('');  
				
				//we want each row to be visible because if nothing  
				//is entered then all rows are matched.  
				$('#card_editor_table > .editor_table_body tr').slideDown();
			}  
			//if there is text, lets filter  
			else {  
				filter('#card_editor_table > .editor_table_body tr', $(this).val());
				
			}
		});
		
		// Sorting table
		$('#card_editor_table').tablesorter({
			sortList: [[2,0]],
			headers: {
				7: { sorter: 'date' },
				8: { sorter: 'date' }
			},
			cssAsc: "headerSortUp",
			cssDesc: "headerSortDown",
			cancelSelection: true
		});
	}
	
	// Filter table results based on query (card search, profile search)
	function filter(selector, query) {  
		query =   $.trim(query); //trim white space  
		query = query.replace(/ /gi, '|'); //add OR for regex query  

		$(selector).each(function() {  
			($(this).text().search(new RegExp(query, "i")) < 0) ? $(this).slideUp() : $(this).slideDown();
		});  
	}
	
	// Set triggers for player profile popups
	if ($('#player_profile_table > tbody > tr').length > 0) {
		
		// Make buttons to scroll with page
		$(".editor_buttons").sticky({topSpacing:0});
		
		var profiles = $('#player_profile_table > tbody > tr');
		var profiles_count = profiles.length;
		var allSelected = false;
		var selected_profiles = [];
		// adds/removes profile from selected_profiles array
		function toggleSelectedProfile(id) {
			
			if (selected_profiles.indexOf(id) == -1) {
				selected_profiles.push(id);
			}
			else {
				selected_profiles.splice(selected_profiles.indexOf(id), 1);
			}
			
			if (selected_profiles.length == 1) {
				$('#editor_view_profile_button_dummy').hide();
				$('#editor_delete_profile_button_dummy').hide();
				$('#editor_view_profile_button').show();
				$('#editor_delete_profile_button').show();
			}
			else if (selected_profiles.length > 1) {
				$('#editor_view_profile_button_dummy').show();
				$('#editor_delete_profile_button_dummy').hide();
				$('#editor_view_profile_button').hide();
				$('#editor_delete_profile_button').show();
			}
			else {
				$('#editor_view_profile_button_dummy').show();
				$('#editor_delete_profile_button_dummy').show();
				$('#editor_view_profile_button').hide();
				$('#editor_delete_profile_button').hide();
			}
			
			if (selected_profiles.length == profiles.length) {
				allSelected = true;
			}
			else {
				allSelected = false;
			}
		}
		
		$('#editor_view_profile_button').click( function () {
			
			if (selected_profiles.length == 1) {
				// Show loading image and hide content
				$('#profile_content').hide();
				$('#profile_loading').show();
				
				var temp = $('#player_profile_table > tbody > tr td:nth-child(3)');
				
				var firstElement = $(temp).filter(function (){
					return $(this).text() == selected_profiles[0];
					}).parent();
				
				// AJAX
				var selected_profile_id = firstElement.find('td:nth-child(3)').text();
				$('#profile\\[modal\\]\\[name\\]').val(firstElement.find('td:nth-child(2)').text());
				$('#profile\\[modal\\]\\[id\\]').val(selected_profile_id);
				$('#profile\\[modal\\]\\[date_created\\]').val(firstElement.find('td:nth-child(1)').text());
				
				// Returns played cards as tr and td elements
				$.get("../general/ajax.php", { action: 'print_played_cards', profile_id: selected_profile_id }, "html").done(
						function(cards) {
							$('#player_profile_modal_table > .editor_table_body').empty();
							$('#player_profile_modal_table > .editor_table_body').append( cards );
							// Returns player stats html
							$.get("../general/ajax.php", { action: 'print_player_stats', profile_id: selected_profile_id }, "html").done(
									function(stats) {
										$('#player_profile_modal > #profile_content > #player_profile_form > #editor_profile_stats').empty();
										$('#player_profile_modal > #profile_content > #player_profile_form > #editor_profile_stats').append( stats );
										
										// Add trigger for all results
										$('.show_played_card_choice_result').each(function() {
											$('#played_card_choice_result_modal').jqmAddTrigger($(this));
											$(this).click(function(e) {
												$('#played_card_choice_result_loading').show();
												$('#played_card_choice_result_content').hide();
												$('#played_card_choice_result_code').text($(this).text());
												var card_id = 0;
												var choice_id = 0;
												var result_id = 0;
												//1_played_card_16_choice_13_result_16
												var temp_id = this.id.split('played_card_');
												temp_id = temp_id[1].split('_choice_');
												if (temp_id.length == 2) {
													card_id = parseFloat(temp_id[0]);
												}
												temp_id = temp_id[1].split('_result_');
												if (temp_id.length == 2) {
													choice_id = parseFloat(temp_id[0]);
													result_id = parseFloat(temp_id[1]);
												}
												
												$.get("../general/ajax.php", { action: 'get_card', card_id: card_id }, "json").done(
														function(card) {
															
															if (card.card_name != '') {
																$('#card_choice_result_card_name').val(card.card_name);
															}
															else {
																$('#card_choice_result_card_name').val(card.default_name);
															}
															if (card.description != '') {
																$('#card_choice_result_description').val(card.description);
															}
															else {
																$('#card_choice_result_description').val(card.default_description);
															}
															$('#card_choice_result_choice').val('');
															$('#card_choice_result_result').val('');
															
															if (card.choices != undefined && choice_id > 0) {
																for (var i = 0; i < card.choices.length; i++) {
																	if (card.choices[i].choice_id == choice_id) {
																		if (card.choices[i].choice_text != '') {
																			$('#card_choice_result_choice').val(card.choices[i].choice_text);
																		}
																		else {
																			$('#card_choice_result_choice').val(card.choices[i].default_text);
																		}
																		break;
																	}
																}
																if (result_id > 0) {
																	$.get("../general/ajax.php", { action: 'get_result', result_id: result_id }, "json").done(
																		function(result) {
																			if (result.result_text != '') {
																				$('#card_choice_result_result').val(result.result_text);
																			}
																			else {
																				$('#card_choice_result_result').val(result.default_text);
																			}
																			$('#played_card_choice_result_loading').hide();
																			$('#played_card_choice_result_content').show();
																		}
																	);
															
																}
																else {
																	$('#played_card_choice_result_loading').hide();
																	$('#played_card_choice_result_content').show();
																}
															}
															else {
																$('#played_card_choice_result_loading').hide();
																$('#played_card_choice_result_content').show();
															}
														}
												);
											});
										});
										
										$('#profile_loading').hide();
										$('#profile_content').show();
							});
				});
			}
		});
		
		profiles.click( function () {
			$(this).toggleClass('selected_profile');
			toggleSelectedProfile($(this).find('td:nth-child(3)').text());
		});
		
		$('#player_profile_modal').jqm({overlay: 50, trigger: false,
			onHide: function(h) { 
				h.o.remove(); // remove overlay
				h.w.fadeOut(300); // hide window
			},
			modal: true
		})
		.jqmAddTrigger($('#editor_view_profile_button'))
		.jqmAddClose($('#player_profile_modal_close'))
		.jqmAddClose($('#delete_profile_button'));
		
		// Select/deselect all profiles
		$('#editor_select_all_button').click( function (e) {
			e.preventDefault();
			// If all profiles are selected then deselect all
			if (allSelected) {
				allSelected = false;
				$('#player_profile_table > tbody > tr').removeClass('selected_profile');
				selected_profiles.length = 0;
				$('#editor_view_profile_button').hide();
				$('#editor_delete_profile_button').hide();
				$('#editor_view_profile_button_dummy').show();
				$('#editor_delete_profile_button_dummy').show();
			}
			else {
				allSelected = true;
				// Otherwise select all
				profiles.each( function() {
					
					var id = $(this).find('td:nth-child(3)').text();
					
					if (selected_profiles.indexOf(id) == -1) {
						selected_profiles.push(id);
						$(this).addClass('selected_profile');
					}
				});
				$('#editor_view_profile_button').show();
				$('#editor_delete_profile_button').show();
				$('#editor_view_profile_button_dummy').hide();
				$('#editor_delete_profile_button_dummy').hide();
				
				if (selected_profiles.length > 1) {
					$('#editor_view_profile_button').hide();
					$('#editor_view_profile_button_dummy').show();
				}
			}
		});
		
		// Disable view profile etc if no profiles are selected
		if (selected_profiles.length == 1) {
			$('#editor_view_profile_button').show();
			$('#editor_delete_profile_button').show();
			$('#editor_view_profile_button_dummy').hide();
			$('#editor_delete_profile_button_dummy').hide();
		}
		else if (selected_profiles.length > 1) {
			$('#editor_view_profile_button').hide();
			$('#editor_delete_profile_button').show();
			$('#editor_view_profile_button_dummy').show();
			$('#editor_delete_profile_button_dummy').hide();
		}
		else  {
			$('#editor_view_profile_button').hide();
			$('#editor_delete_profile_button').hide();
			$('#editor_view_profile_button_dummy').show();
			$('#editor_delete_profile_button_dummy').show();
		}
		
		// Cancel selections
		$("#player_profile_table > :not(tbody)").click( function () {
			$('#player_profile_table > tbody > tr').removeClass('selected_profile');
			selected_profiles.length = 0;
			allSelected = false;
			$('#editor_view_profile_button').hide();
			$('#editor_delete_profile_button').hide();
			$('#editor_view_profile_button_dummy').show();
			$('#editor_delete_profile_button_dummy').show();
		});
		$(".header, .editor_wrapper > :not(div.editor_content), #profile_search").click( function () {
			$('#player_profile_table > tbody > tr').removeClass('selected_profile');
			selected_profiles.length = 0;
			allSelected = false;
			$('#editor_view_profile_button').hide();
			$('#editor_delete_profile_button').hide();
			$('#editor_view_profile_button_dummy').show();
			$('#editor_delete_profile_button_dummy').show();
		});
		
		// Filter profiles based on search string
		$('.search_field > #player_search').keyup(function(event) {  
			//if esc is pressed or nothing is entered  
			if (event.keyCode == 27 || $(this).val() == '') {  
				//if esc is pressed we want to clear the value of search box  
				$(this).val('');  
				
				//we want each row to be visible because if nothing  
				//is entered then all rows are matched.  
				$('#player_profile_table > .editor_table_body tr').slideDown();
			}  
			//if there is text, lets filter  
			else {  
				filter('#player_profile_table > .editor_table_body tr', $(this).val());
			}
		});
		
		// Sorting table
		$('#player_profile_table').tablesorter({sortList: [[2,0]], headers: {0: { sorter: 'date' }}});
		
		// Delete profile
		$('#editor_delete_profile_button, #delete_profile_button').click( function () {
			$('#delete_profile_modal_profile_number').text(selected_profiles.length);
		});
		$('#delete_profile_modal_yes_button').click( function () {
			
			if (selected_profiles.length > 0) {
				$('#player_profiles_table > tbody > tr').removeClass('selected_profile');
				$('#editor_view_profile_button').hide();
				$('#editor_delete_profile_button').hide();
				$('#editor_view_profile_button_dummy').show();
				$('#editor_delete_profile_button_dummy').show();
				for (var i = 0; i < selected_profiles.length; i++) {
					var selected_profile = selected_profiles[i];
					$.post("../general/ajax.php", { action: 'delete_profile', profile_id: selected_profile }, "json").done(
						function(response) {
							
							$('#player_profile_table > tbody > tr td:nth-child(3)').each(function () {
								 if ($(this).text() == response.deleted_profile) {
									 $(this).parent().hide(200);
									 var removable = $(this).parent();
									window.setTimeout(function(removable) {	
										$(removable).parent().remove;
									}, 300);
								 }
							});
							
						});
				}
				$('#delete_profile_notification_profile_nbr').text(selected_profiles.length);
				$('#delete_profile_notification').show(300);
				selected_profiles.length = 0;
				allSelected = false;
			}
		});
		
		/*$('#delete_profile_button').click( function () {
			
			var profile_id = $('#profile\\[modal\\]\\[id\\]').val();
			//console.log(profile_id);
			$.post("../general/ajax.php", { action: 'delete_profile', profile_id: profile_id }, "json").done(
					function(response) {
						//window.setTimeout(function() {
								$('#player_profile_table > tbody > tr td:nth-child(3)').each(function () {

									if ($(this).text() == response.deleted_profile) {
								 	
										$(this).parent().hide(200);
										var removable = $(this).parent();
										window.setTimeout(function(removable) {	
											$(removable).parent().remove;
										}, 300);
									}
								});
						//}, 300);
					});
		});*/
		$('#played_card_choice_result_modal').jqm({overlay: 50, trigger: false,
			onHide: function(h) { 
				h.o.remove(); // remove overlay
				h.w.fadeOut(300); // hide window
			}
		})
		.jqmAddTrigger($('.show_played_card_choice_result'))
	    .jqmAddClose($('#played_card_choice_result_modal_close'));
	}
	
	// Set triggers for settings edit
	if ($('#game_settings_modal').length > 0) {
		
		$('.admin_editor_settings_select_scenario_condition_logic').each(function() {
			// Set the pre_val data after initialize the select element
			$(this).data('pre_val', $(this).val());
		});
		$(document).on( 'change', '.admin_editor_settings_select_scenario_condition_logic', function() {
			
			if (!$(this).data('pre_val')) {
				$(this).data('pre_val', '');
			}
			// Get the pre_val data
			var previous_value = $(this).data('pre_val');
			var temp_id = $(this).parent('div').attr('id').split('editor[settings][sudden_scenarios_definitions][');
			var temp_id2 = temp_id[1].split('][conditions][');
			
			var current_option = temp_id2[0];
			var current_condition = temp_id2[1].replace(']', '');
			
			if ($(this).val() == 'AND' || $(this).val() == 'OR') {
				
				if (previous_value == '') {	
					createNewCondition(current_option, current_condition, 'sudden_scenarios');
				}
			}
			else if ($(this).val() == '') {
				
				if (previous_value != '') {
					removeCondition(current_option, current_condition, 'sudden_scenarios');
				}
			}
			// Update the pre_val data
			$(this).data('pre_val', $(this).val());
		});
		
		$('.admin_editor_settings_select_ending_condition_logic').each(function() {
			// Set the pre_val data after initialize the select element
			$(this).data('pre_val', $(this).val());
		});
		$(document).on( 'change', '.admin_editor_settings_select_ending_condition_logic', function() {
			
			if (!$(this).data('pre_val')) {
				$(this).data('pre_val', '');
			}
			// Get the pre_val data
			var previous_value = $(this).data('pre_val');
			var temp_id = $(this).parent('div').attr('id').split('editor[settings][ending_criteria_definitions][');
			var temp_id2 = temp_id[1].split('][conditions][');
			
			var current_option = temp_id2[0];
			var current_condition = temp_id2[1].replace(']', '');
			
			if ($(this).val() == 'AND' || $(this).val() == 'OR') {
				
				if (previous_value == '') {	
					createNewCondition(current_option, current_condition, 'ending_criteria');
				}
			}
			else if ($(this).val() == '') {
				
				if (previous_value != '') {
					removeCondition(current_option, current_condition, 'ending_criteria');
				}
			}
			// Update the pre_val data
			$(this).data('pre_val', $(this).val());
		});
		
		function createNewCondition(current_option, current_condition, setting) {
			
			$.get("../general/ajax.php", { action: 'add_condition', option_id: parseInt(current_option), condition_id: (parseInt(current_condition) + 1), setting_name: setting }, "html").done(
				function(condition) {
					$('#editor\\[settings\\]\\[' + setting + '_definitions\\]\\[' + current_option + '\\]\\[conditions\\]').append(condition);
				}
			);
		}
		// Removes given option's conditions starting from current_condition + 1
		function removeCondition(current_option, current_condition, setting) {
			
			var conditions_count = $('#editor\\[settings\\]\\[' + setting + '_definitions\\]\\[' + current_option + '\\]\\[conditions\\]').children('div').length;
			
			for (var rem_indx = (parseInt(current_condition)+1); rem_indx < conditions_count; rem_indx++) {
				$('#editor\\[settings\\]\\[' + setting + '_definitions\\]\\[' + current_option + '\\]\\[conditions\\]\\[' + rem_indx + '\\]').remove();
			}
		}
		
		// New scenario/criteria button clicked
		$('#game_settings_add_new_scenario,#game_settings_add_new_criteria').click(function(e) {
			
			e.preventDefault();
			var setting = '';
			if ($(this).attr('id') == 'game_settings_add_new_scenario') {
				setting = 'sudden_scenarios';
			}
			else {
				setting = 'ending_criteria';
			}
			var next_option_id = $('#editor\\[settings\\]\\[' + setting + '_definitions\\] > .game_settings_option').length;
			$.get("../general/ajax.php", { action: 'add_option', option_id: parseInt(next_option_id), setting_name: setting  }, "html").done(
					function(option) {
						
						$('#editor\\[settings\\]\\[' + setting + '_definitions\\]').append( option );
					}
			);
			return false;
		});
	}
	// Game settings remove logo button clicked
	$('#admin_editor_remove_logo').click(function(e) {
		e.preventDefault();
		$('#editor\\[settings\\]\\[logo_text\\]').val('');
		$('#editor\\[settings\\]\\[logo_text_hidden\\]').val('');
		$('#game_logo_preview > img').attr('src', '../img/app_logo.png');
	});
	// Game settings remove background tile button clicked
	$('#admin_editor_remove_background_tile').click(function(e) {
		e.preventDefault();
		$('#editor\\[settings\\]\\[background_tile_text\\]').val('');
		$('#editor\\[settings\\]\\[background_tile_text_hidden\\]').val('');
		$('#game_background_tile_preview').hide();
	});
	
	// Datepicker for export profiles
	$( "#export_profiles_from" ).datepicker({
		defaultDate: "+1w",
		changeMonth: true,
		changeYear: true,
		numberOfMonths: 1,
		onClose: function( selectedDate ) {
			$( "#export_profiles_to" ).datepicker( "option", "minDate", selectedDate );
		}
	});
	$( "#export_profiles_to" ).datepicker({
		defaultDate: "+1w",
		changeMonth: true,
		changeYear: true,
		numberOfMonths: 1,
		onClose: function( selectedDate ) {
			$( "#export_profiles_from" ).datepicker( "option", "maxDate", selectedDate );
		}
	});
	
	$('#export_profiles_from, #export_profiles_to').change(function() {
		var from = $('#export_profiles_from').val();
		var to = $('#export_profiles_to').val();
		$('#export_profiles_count, #export_profiles_error').empty();
		$('#export_profiles_profiles_found, #export_profiles_error').hide();
		if (from != '' && from != undefined && to != '' && to != undefined) {
			$('#profiles_found_loading').show();
			$.get("../general/ajax.php", { action: 'get_profiles', from: from, to: to  }, "json").done(
					function(response) {
						
						if (response.error == '') {
							$('#export_profiles_count').append( response.profile_count );
							$('#export_profiles_profiles_found').show();
						}
						else {
							$('#export_profiles_error').append(response.error);
							$('#export_profiles_error').show();
						}
						$('#profiles_found_loading').hide();
					}
			);
		}
	});
	$('#export_profiles').click(function(e) {
		
		e.preventDefault();
		var from = $('#export_profiles_from').val();
		var to = $('#export_profiles_to').val();
		$('#export_profiles_count').empty();
		$('#export_profiles_profiles_found').hide();
		if (from != '' && from != undefined && to != '' && to != undefined) {
			$('#profiles_found_loading').show();
			$.get("../general/ajax.php", { action: 'export_profiles', from: from, to: to  }, "json").done(
					function(response) {
						
						if (response.error == '') {
							$('#export_profiles_count').append( response.profile_count );
							$('#export_profiles_profiles_found').show();
							//var ifrm = $('#download_frame');
							//ifrm.src = response.filepath;
							//ifrm.src = 'http://localhost/GAL2/admin/editor_tab_import-export.php?file=player_profiles.csv';
							//console.log(ifrm.src);
							window.location = response.filepath;
						}
						else {
							$('#export_profiles_error').append(response.error);
							$('#export_profiles_error').show();
						}
						$('#profiles_found_loading').hide();
					}
			);
		}
	});
});
 