/* Common JavaScript for all GAL2 pages */
$(document).ready(function() {
	
	// Handles panel transitions by scrolling panels horizontal
	$(document).on( 'click', 'a.panel_link', function(e) {
		e.preventDefault();
		$('.panel_wrapper').scrollTo($(this).attr('href'), 800);			
		return false;
	} );
	
	$(".hidden_header").hide();
    $(".hidden_header_show_hide").show();

    $('.hidden_header_show_hide').click(function(){
    	$(".hidden_header").slideToggle();
    });
    
    /* Scroll to top */
	$(".scroll_to_top").click(function(e) {
		e.preventDefault();
		var $this = $(this);
		setTimeout(function(){
			$('.panel_wrapper').scrollTo($this.attr('href'), 800);
			},400);
					
		$("html, body").animate({ scrollTop: 0 }, 400, function() {
			// Animation complete.
		});
		return false;
	});
	/*$(window).resize(function() {
		console.log($(window).width());
	});*/
	
	/* Tooltips (from http://osvaldas.info/elegant-css-and-jquery-tooltip-responsive-mobile-friendly) */
	var targets = $('[rel~=tooltip]'),
		target  = false,
		tooltip = false,
		visible = false,
		title   = false;
		clicked = false;
	
	targets.bind('touchstart mouseenter MSPointerDown', function(e) {

		var remove_tooltip = function() {
			console.log('remove_tooltip');

			tooltip.animate({ top: '-=10', opacity: 0 }, 50, function() {
				$(this).remove();
			});
			target.attr('title', tip);
			visible = false;
		};
		
		var hide_tooltip = function() {
			console.log('hide_tooltip');
			
			if (!clicked) {
				remove_tooltip();
			}
		};
		if (e.type /*handleObj.origType*/ == 'touchstart' || e.type == 'MSPointerDown') {
			clicked = true;
			
			//if (visible) {
				remove_tooltip();
			//}
		}
		if (visible && !clicked) {
			return false;
		}
		
		target  = $(this);
		tip     = target.attr('title');
		tooltip = $('<div id="tooltip"></div>');
		
		if (!tip || tip == '') {
			return false;
		}
		target.removeAttr('title');
		tooltip.css('opacity', 0).html(tip).appendTo('body');
		console.log('show_tooltip');
		visible = true;
		
		var init_tooltip = function() {
			
			if ($(window).width() < tooltip.outerWidth() * 1.5) {
				tooltip.css('max-width', $(window).width() / 2);
			} else {
				tooltip.css('max-width', 340);
			}
			var pos_left = target.offset().left + (target.outerWidth() / 2) - (tooltip.outerWidth() / 2),
				pos_top  = target.offset().top - tooltip.outerHeight() - 20;
			
			if (pos_left < 0) {
				pos_left = target.offset().left + target.outerWidth() / 2 - 20;
				tooltip.addClass('left');
			} else {
				tooltip.removeClass('left');
			}
			if (pos_left + tooltip.outerWidth() > $(window).width()) {
				pos_left = target.offset().left - tooltip.outerWidth() + target.outerWidth() / 2 + 20;
				tooltip.addClass('right');
			} else {
				tooltip.removeClass('right');
			}
			if (pos_top < 0) {
				var pos_top  = target.offset().top + target.outerHeight();
				tooltip.addClass('top');
			}
			else {
				tooltip.removeClass('top');
			}
			tooltip.css({ left: pos_left, top: pos_top }).animate({ top: '+=10', opacity: 1 }, 50);
		};
		init_tooltip();
		$(window).resize(init_tooltip);
		
		target.bind('click', function() { return false; });
		target.bind('mouseleave', hide_tooltip);
		//target.bind('click', toggle_tooltip);
		tooltip.bind('touchstart click MSPointerDown', function () { clicked = false; hide_tooltip(); });
		//tooltip.bind('click', hide_tooltip);
		return false;
	});
	
});